MODULE racm_Parameters
  USE racm_Precision
  PUBLIC
  SAVE
  INTEGER, PARAMETER :: NSPEC = 80
  INTEGER, PARAMETER :: NVAR = 78
  INTEGER, PARAMETER :: NVARACT = 74
  INTEGER, PARAMETER :: NFIX = 2
  INTEGER, PARAMETER :: NREACT = 249
  INTEGER, PARAMETER :: NREACT_J = 26
  INTEGER, PARAMETER :: NVARST = 1
  INTEGER, PARAMETER :: NFIXST = 79
  INTEGER, PARAMETER :: NONZERO = 962
  INTEGER, PARAMETER :: LU_NONZERO = 1111
  INTEGER, PARAMETER :: CNVAR = 79
  INTEGER, PARAMETER :: NLOOKAT = 0
  INTEGER, PARAMETER :: NMONITOR = 0
  INTEGER, PARAMETER :: NMASS = 1
  REAL(kind=dp), PARAMETER :: PI = 3.14159265358979
  INTEGER, PARAMETER :: ind_SULF = 1
  INTEGER, PARAMETER :: ind_CO2 = 2
  INTEGER, PARAMETER :: ind_ORA1 = 3
  INTEGER, PARAMETER :: ind_ORA2 = 4
  INTEGER, PARAMETER :: ind_Br2 = 5
  INTEGER, PARAMETER :: ind_SO2 = 6
  INTEGER, PARAMETER :: ind_O1D = 7
  INTEGER, PARAMETER :: ind_N2O5 = 8
  INTEGER, PARAMETER :: ind_HC5 = 9
  INTEGER, PARAMETER :: ind_TOL = 10
  INTEGER, PARAMETER :: ind_XYL = 11
  INTEGER, PARAMETER :: ind_HOBr = 12
  INTEGER, PARAMETER :: ind_HC8 = 13
  INTEGER, PARAMETER :: ind_HC3 = 14
  INTEGER, PARAMETER :: ind_ETH = 15
  INTEGER, PARAMETER :: ind_UDD = 16
  INTEGER, PARAMETER :: ind_CH4 = 17
  INTEGER, PARAMETER :: ind_HBr = 18
  INTEGER, PARAMETER :: ind_HNO4 = 19
  INTEGER, PARAMETER :: ind_OP1 = 20
  INTEGER, PARAMETER :: ind_HONO = 21
  INTEGER, PARAMETER :: ind_H2O2 = 22
  INTEGER, PARAMETER :: ind_PHO = 23
  INTEGER, PARAMETER :: ind_ADDT = 24
  INTEGER, PARAMETER :: ind_ADDX = 25
  INTEGER, PARAMETER :: ind_HKET = 26
  INTEGER, PARAMETER :: ind_ETE = 27
  INTEGER, PARAMETER :: ind_ADDC = 28
  INTEGER, PARAMETER :: ind_BrO = 29
  INTEGER, PARAMETER :: ind_PAA = 30
  INTEGER, PARAMETER :: ind_HNO3 = 31
  INTEGER, PARAMETER :: ind_PAN = 32
  INTEGER, PARAMETER :: ind_CO = 33
  INTEGER, PARAMETER :: ind_API = 34
  INTEGER, PARAMETER :: ind_Br = 35
  INTEGER, PARAMETER :: ind_LIM = 36
  INTEGER, PARAMETER :: ind_DIEN = 37
  INTEGER, PARAMETER :: ind_CSL = 38
  INTEGER, PARAMETER :: ind_GLY = 39
  INTEGER, PARAMETER :: ind_TPAN = 40
  INTEGER, PARAMETER :: ind_ETEP = 41
  INTEGER, PARAMETER :: ind_ISO = 42
  INTEGER, PARAMETER :: ind_OLTP = 43
  INTEGER, PARAMETER :: ind_OLIP = 44
  INTEGER, PARAMETER :: ind_MGLY = 45
  INTEGER, PARAMETER :: ind_CSLP = 46
  INTEGER, PARAMETER :: ind_KET = 47
  INTEGER, PARAMETER :: ind_LIMP = 48
  INTEGER, PARAMETER :: ind_HC5P = 49
  INTEGER, PARAMETER :: ind_HC8P = 50
  INTEGER, PARAMETER :: ind_TOLP = 51
  INTEGER, PARAMETER :: ind_XYLP = 52
  INTEGER, PARAMETER :: ind_APIP = 53
  INTEGER, PARAMETER :: ind_ISOP = 54
  INTEGER, PARAMETER :: ind_ONIT = 55
  INTEGER, PARAMETER :: ind_MACR = 56
  INTEGER, PARAMETER :: ind_XO2 = 57
  INTEGER, PARAMETER :: ind_ALD = 58
  INTEGER, PARAMETER :: ind_OLT = 59
  INTEGER, PARAMETER :: ind_OLI = 60
  INTEGER, PARAMETER :: ind_OLNN = 61
  INTEGER, PARAMETER :: ind_OLND = 62
  INTEGER, PARAMETER :: ind_HCHO = 63
  INTEGER, PARAMETER :: ind_DCB = 64
  INTEGER, PARAMETER :: ind_TCO3 = 65
  INTEGER, PARAMETER :: ind_ETHP = 66
  INTEGER, PARAMETER :: ind_KETP = 67
  INTEGER, PARAMETER :: ind_ACO3 = 68
  INTEGER, PARAMETER :: ind_HO2 = 69
  INTEGER, PARAMETER :: ind_OP2 = 70
  INTEGER, PARAMETER :: ind_O3P = 71
  INTEGER, PARAMETER :: ind_MO2 = 72
  INTEGER, PARAMETER :: ind_HC3P = 73
  INTEGER, PARAMETER :: ind_NO3 = 74
  INTEGER, PARAMETER :: ind_O3 = 75
  INTEGER, PARAMETER :: ind_HO = 76
  INTEGER, PARAMETER :: ind_NO = 77
  INTEGER, PARAMETER :: ind_NO2 = 78
  INTEGER, PARAMETER :: ind_H2O = 79
  INTEGER, PARAMETER :: ind_M = 80
  INTEGER, PARAMETER :: indf_H2O = 1
  INTEGER, PARAMETER :: indf_M = 2
END MODULE racm_Parameters
