MODULE racm_Jacobian
  USE racm_Parameters
  USE racm_JacobianSP
  IMPLICIT NONE
CONTAINS
SUBROUTINE Jac_SP_Vec ( JVS, UV, JUV )
  REAL(kind=dp) :: JVS(LU_NONZERO)
  REAL(kind=dp) :: UV(NVAR)
  REAL(kind=dp) :: JUV(NVAR)
  JUV(1) = JVS(1)*UV(1)+JVS(2)*UV(6)+JVS(3)*UV(76)
  JUV(2) = JVS(4)*UV(2)+JVS(5)*UV(33)+JVS(6)*UV(76)
  JUV(3) = JVS(7)*UV(3)+JVS(8)*UV(14)+JVS(9)*UV(27)+JVS(10)*UV(36)+JVS(11)*UV(37)+JVS(12)*UV(40)+JVS(13)*UV(42)+JVS(14)&
             &*UV(56)+JVS(15)*UV(59)+JVS(16)*UV(64)+JVS(17)*UV(75)+JVS(18)*UV(76)
  JUV(4) = JVS(19)*UV(4)+JVS(20)*UV(36)+JVS(21)*UV(41)+JVS(22)*UV(43)+JVS(23)*UV(44)+JVS(24)*UV(49)+JVS(25)*UV(50)&
             &+JVS(26)*UV(54)+JVS(27)*UV(56)+JVS(28)*UV(59)+JVS(29)*UV(60)+JVS(30)*UV(61)+JVS(31)*UV(62)+JVS(32)*UV(64)&
             &+JVS(33)*UV(65)+JVS(34)*UV(66)+JVS(35)*UV(67)+JVS(36)*UV(68)+JVS(37)*UV(69)+JVS(38)*UV(72)+JVS(39)*UV(73)&
             &+JVS(40)*UV(75)
  JUV(5) = JVS(41)*UV(5)+JVS(42)*UV(29)
  JUV(6) = JVS(43)*UV(6)+JVS(44)*UV(76)
  JUV(7) = JVS(45)*UV(7)+JVS(46)*UV(75)
  JUV(8) = JVS(47)*UV(8)+JVS(48)*UV(74)+JVS(49)*UV(78)
  JUV(9) = JVS(50)*UV(9)+JVS(51)*UV(76)
  JUV(10) = JVS(52)*UV(10)+JVS(53)*UV(76)
  JUV(11) = JVS(54)*UV(11)+JVS(55)*UV(76)
  JUV(12) = JVS(56)*UV(12)+JVS(57)*UV(29)+JVS(58)*UV(69)
  JUV(13) = JVS(59)*UV(13)+JVS(60)*UV(76)
  JUV(14) = JVS(61)*UV(14)+JVS(62)*UV(76)
  JUV(15) = JVS(63)*UV(15)+JVS(64)*UV(59)+JVS(65)*UV(60)+JVS(66)*UV(75)+JVS(67)*UV(76)
  JUV(16) = JVS(68)*UV(16)+JVS(69)*UV(64)+JVS(70)*UV(76)
  JUV(17) = JVS(71)*UV(17)+JVS(72)*UV(59)+JVS(73)*UV(60)+JVS(74)*UV(75)+JVS(75)*UV(76)
  JUV(18) = JVS(76)*UV(18)+JVS(77)*UV(35)+JVS(78)*UV(63)+JVS(79)*UV(69)+JVS(80)*UV(76)
  JUV(19) = JVS(81)*UV(19)+JVS(82)*UV(69)+JVS(83)*UV(76)+JVS(84)*UV(78)
  JUV(20) = JVS(85)*UV(20)+JVS(86)*UV(69)+JVS(87)*UV(72)+JVS(88)*UV(76)
  JUV(21) = JVS(89)*UV(21)+JVS(90)*UV(24)+JVS(91)*UV(25)+JVS(92)*UV(28)+JVS(93)*UV(76)+JVS(94)*UV(77)+JVS(95)*UV(78)
  JUV(22) = JVS(96)*UV(22)+JVS(97)*UV(34)+JVS(98)*UV(36)+JVS(99)*UV(37)+JVS(100)*UV(42)+JVS(101)*UV(59)+JVS(102)*UV(60)&
              &+JVS(103)*UV(69)+JVS(104)*UV(75)+JVS(105)*UV(76)
  JUV(23) = JVS(106)*UV(23)+JVS(107)*UV(38)+JVS(108)*UV(69)+JVS(109)*UV(74)+JVS(110)*UV(76)+JVS(111)*UV(78)
  JUV(24) = JVS(112)*UV(10)+JVS(113)*UV(24)+JVS(114)*UV(75)+JVS(115)*UV(76)+JVS(116)*UV(78)
  JUV(25) = JVS(117)*UV(11)+JVS(118)*UV(25)+JVS(119)*UV(75)+JVS(120)*UV(76)+JVS(121)*UV(78)
  JUV(26) = JVS(122)*UV(13)+JVS(123)*UV(26)+JVS(124)*UV(40)+JVS(125)*UV(56)+JVS(126)*UV(67)+JVS(127)*UV(72)+JVS(128)&
              &*UV(76)
  JUV(27) = JVS(129)*UV(27)+JVS(130)*UV(74)+JVS(131)*UV(75)+JVS(132)*UV(76)
  JUV(28) = JVS(133)*UV(28)+JVS(134)*UV(38)+JVS(135)*UV(75)+JVS(136)*UV(76)+JVS(137)*UV(78)
  JUV(29) = JVS(138)*UV(29)+JVS(139)*UV(35)+JVS(140)*UV(69)+JVS(141)*UV(75)+JVS(142)*UV(77)
  JUV(30) = JVS(143)*UV(30)+JVS(144)*UV(64)+JVS(145)*UV(68)+JVS(146)*UV(69)+JVS(147)*UV(75)+JVS(148)*UV(76)
  JUV(31) = JVS(149)*UV(31)+JVS(150)*UV(38)+JVS(151)*UV(39)+JVS(152)*UV(45)+JVS(153)*UV(56)+JVS(154)*UV(58)+JVS(155)&
              &*UV(63)+JVS(156)*UV(64)+JVS(157)*UV(69)+JVS(158)*UV(74)+JVS(159)*UV(76)+JVS(160)*UV(78)
  JUV(32) = JVS(161)*UV(32)+JVS(162)*UV(40)+JVS(163)*UV(68)+JVS(164)*UV(74)+JVS(165)*UV(75)+JVS(166)*UV(76)+JVS(167)&
              &*UV(78)
  JUV(33) = JVS(168)*UV(14)+JVS(169)*UV(27)+JVS(170)*UV(33)+JVS(171)*UV(34)+JVS(172)*UV(35)+JVS(173)*UV(36)+JVS(174)&
              &*UV(37)+JVS(175)*UV(39)+JVS(176)*UV(40)+JVS(177)*UV(42)+JVS(178)*UV(45)+JVS(179)*UV(56)+JVS(180)*UV(58)&
              &+JVS(181)*UV(59)+JVS(182)*UV(60)+JVS(183)*UV(63)+JVS(184)*UV(64)+JVS(185)*UV(71)+JVS(186)*UV(74)+JVS(187)&
              &*UV(75)+JVS(188)*UV(76)
  JUV(34) = JVS(189)*UV(34)+JVS(190)*UV(74)+JVS(191)*UV(75)+JVS(192)*UV(76)
  JUV(35) = JVS(193)*UV(5)+JVS(194)*UV(12)+JVS(195)*UV(18)+JVS(196)*UV(29)+JVS(197)*UV(35)+JVS(198)*UV(63)+JVS(199)&
              &*UV(69)+JVS(200)*UV(75)+JVS(201)*UV(76)+JVS(202)*UV(77)
  JUV(36) = JVS(203)*UV(36)+JVS(204)*UV(74)+JVS(205)*UV(75)+JVS(206)*UV(76)
  JUV(37) = JVS(207)*UV(37)+JVS(208)*UV(74)+JVS(209)*UV(75)+JVS(210)*UV(76)
  JUV(38) = JVS(211)*UV(23)+JVS(212)*UV(24)+JVS(213)*UV(25)+JVS(214)*UV(28)+JVS(215)*UV(38)+JVS(216)*UV(69)+JVS(217)&
              &*UV(74)+JVS(218)*UV(75)+JVS(219)*UV(76)+JVS(220)*UV(78)
  JUV(39) = JVS(221)*UV(14)+JVS(222)*UV(39)+JVS(223)*UV(46)+JVS(224)*UV(51)+JVS(225)*UV(52)+JVS(226)*UV(64)+JVS(227)&
              &*UV(68)+JVS(228)*UV(72)+JVS(229)*UV(73)+JVS(230)*UV(74)+JVS(231)*UV(75)+JVS(232)*UV(76)+JVS(233)*UV(77)
  JUV(40) = JVS(234)*UV(40)+JVS(235)*UV(65)+JVS(236)*UV(74)+JVS(237)*UV(75)+JVS(238)*UV(76)+JVS(239)*UV(78)
  JUV(41) = JVS(240)*UV(27)+JVS(241)*UV(41)+JVS(242)*UV(68)+JVS(243)*UV(69)+JVS(244)*UV(72)+JVS(245)*UV(74)+JVS(247)&
              &*UV(76)+JVS(248)*UV(77)
  JUV(42) = JVS(249)*UV(42)+JVS(250)*UV(71)+JVS(251)*UV(74)+JVS(252)*UV(75)+JVS(253)*UV(76)
  JUV(43) = JVS(254)*UV(43)+JVS(255)*UV(59)+JVS(256)*UV(68)+JVS(257)*UV(69)+JVS(258)*UV(72)+JVS(259)*UV(74)+JVS(260)&
              &*UV(76)+JVS(261)*UV(77)
  JUV(44) = JVS(262)*UV(44)+JVS(263)*UV(60)+JVS(264)*UV(68)+JVS(265)*UV(69)+JVS(266)*UV(72)+JVS(267)*UV(74)+JVS(268)&
              &*UV(76)+JVS(269)*UV(77)
  JUV(45) = JVS(270)*UV(26)+JVS(272)*UV(45)+JVS(273)*UV(46)+JVS(274)*UV(51)+JVS(275)*UV(52)+JVS(276)*UV(56)+JVS(277)&
              &*UV(64)+JVS(279)*UV(67)+JVS(280)*UV(68)+JVS(281)*UV(72)+JVS(282)*UV(73)+JVS(283)*UV(74)+JVS(284)*UV(75)&
              &+JVS(285)*UV(76)+JVS(286)*UV(77)
  JUV(46) = JVS(288)*UV(28)+JVS(290)*UV(46)+JVS(291)*UV(68)+JVS(292)*UV(69)+JVS(293)*UV(72)+JVS(294)*UV(74)+JVS(297)&
              &*UV(77)
  JUV(47) = JVS(299)*UV(9)+JVS(300)*UV(16)+JVS(301)*UV(34)+JVS(302)*UV(43)+JVS(303)*UV(44)+JVS(304)*UV(47)+JVS(305)&
              &*UV(49)+JVS(306)*UV(50)+JVS(307)*UV(53)+JVS(308)*UV(55)+JVS(309)*UV(59)+JVS(310)*UV(60)+JVS(311)*UV(61)&
              &+JVS(312)*UV(62)+JVS(313)*UV(64)+JVS(314)*UV(67)+JVS(315)*UV(68)+JVS(317)*UV(70)+JVS(318)*UV(72)+JVS(319)&
              &*UV(73)+JVS(320)*UV(74)+JVS(321)*UV(75)+JVS(322)*UV(76)+JVS(323)*UV(77)
  JUV(48) = JVS(324)*UV(36)+JVS(325)*UV(48)+JVS(326)*UV(68)+JVS(327)*UV(69)+JVS(328)*UV(72)+JVS(329)*UV(74)+JVS(331)&
              &*UV(76)+JVS(332)*UV(77)
  JUV(49) = JVS(333)*UV(9)+JVS(334)*UV(49)+JVS(335)*UV(68)+JVS(336)*UV(69)+JVS(337)*UV(72)+JVS(338)*UV(74)+JVS(339)&
              &*UV(76)+JVS(340)*UV(77)
  JUV(50) = JVS(341)*UV(13)+JVS(342)*UV(50)+JVS(343)*UV(68)+JVS(344)*UV(69)+JVS(345)*UV(72)+JVS(346)*UV(74)+JVS(347)&
              &*UV(76)+JVS(348)*UV(77)
  JUV(51) = JVS(349)*UV(24)+JVS(350)*UV(51)+JVS(351)*UV(68)+JVS(352)*UV(69)+JVS(353)*UV(72)+JVS(354)*UV(74)+JVS(357)&
              &*UV(77)
  JUV(52) = JVS(359)*UV(25)+JVS(360)*UV(52)+JVS(361)*UV(68)+JVS(362)*UV(69)+JVS(363)*UV(72)+JVS(364)*UV(74)+JVS(367)&
              &*UV(77)
  JUV(53) = JVS(369)*UV(34)+JVS(370)*UV(53)+JVS(371)*UV(68)+JVS(372)*UV(69)+JVS(373)*UV(72)+JVS(374)*UV(74)+JVS(376)&
              &*UV(76)+JVS(377)*UV(77)
  JUV(54) = JVS(378)*UV(37)+JVS(379)*UV(42)+JVS(380)*UV(54)+JVS(381)*UV(68)+JVS(382)*UV(69)+JVS(384)*UV(72)+JVS(385)&
              &*UV(74)+JVS(387)*UV(76)+JVS(388)*UV(77)
  JUV(55) = JVS(389)*UV(23)+JVS(391)*UV(40)+JVS(392)*UV(48)+JVS(393)*UV(49)+JVS(394)*UV(50)+JVS(395)*UV(51)+JVS(396)&
              &*UV(52)+JVS(397)*UV(53)+JVS(398)*UV(54)+JVS(399)*UV(55)+JVS(400)*UV(61)+JVS(401)*UV(62)+JVS(403)*UV(68)&
              &+JVS(404)*UV(69)+JVS(406)*UV(72)+JVS(407)*UV(73)+JVS(408)*UV(74)+JVS(410)*UV(76)+JVS(411)*UV(77)+JVS(412)&
              &*UV(78)
  JUV(56) = JVS(413)*UV(36)+JVS(414)*UV(37)+JVS(415)*UV(42)+JVS(416)*UV(48)+JVS(417)*UV(54)+JVS(418)*UV(56)+JVS(419)&
              &*UV(68)+JVS(421)*UV(71)+JVS(422)*UV(72)+JVS(423)*UV(74)+JVS(424)*UV(75)+JVS(425)*UV(76)+JVS(426)*UV(77)
  JUV(57) = JVS(427)*UV(10)+JVS(428)*UV(11)+JVS(429)*UV(30)+JVS(430)*UV(32)+JVS(431)*UV(37)+JVS(432)*UV(38)+JVS(433)&
              &*UV(40)+JVS(434)*UV(42)+JVS(435)*UV(49)+JVS(436)*UV(50)+JVS(437)*UV(56)+JVS(438)*UV(57)+JVS(439)*UV(64)&
              &+JVS(441)*UV(67)+JVS(442)*UV(68)+JVS(443)*UV(69)+JVS(444)*UV(70)+JVS(445)*UV(71)+JVS(446)*UV(72)+JVS(447)&
              &*UV(73)+JVS(448)*UV(74)+JVS(449)*UV(75)+JVS(450)*UV(76)+JVS(451)*UV(77)
  JUV(58) = JVS(453)*UV(13)+JVS(454)*UV(14)+JVS(455)*UV(16)+JVS(456)*UV(34)+JVS(457)*UV(41)+JVS(458)*UV(43)+JVS(459)&
              &*UV(44)+JVS(460)*UV(49)+JVS(461)*UV(50)+JVS(462)*UV(53)+JVS(463)*UV(55)+JVS(464)*UV(56)+JVS(465)*UV(58)&
              &+JVS(466)*UV(59)+JVS(467)*UV(60)+JVS(468)*UV(61)+JVS(469)*UV(62)+JVS(470)*UV(64)+JVS(472)*UV(66)+JVS(473)&
              &*UV(67)+JVS(474)*UV(68)+JVS(476)*UV(70)+JVS(477)*UV(71)+JVS(478)*UV(72)+JVS(479)*UV(73)+JVS(480)*UV(74)&
              &+JVS(481)*UV(75)+JVS(482)*UV(76)+JVS(483)*UV(77)
  JUV(59) = JVS(485)*UV(36)+JVS(486)*UV(37)+JVS(487)*UV(42)+JVS(488)*UV(54)+JVS(489)*UV(59)+JVS(490)*UV(68)+JVS(492)&
              &*UV(71)+JVS(493)*UV(72)+JVS(494)*UV(74)+JVS(495)*UV(75)+JVS(496)*UV(76)+JVS(497)*UV(77)
  JUV(60) = JVS(498)*UV(48)+JVS(499)*UV(54)+JVS(500)*UV(60)+JVS(501)*UV(68)+JVS(504)*UV(72)+JVS(505)*UV(74)+JVS(506)&
              &*UV(75)+JVS(507)*UV(76)+JVS(508)*UV(77)
  JUV(61) = JVS(509)*UV(27)+JVS(510)*UV(34)+JVS(511)*UV(36)+JVS(512)*UV(37)+JVS(513)*UV(42)+JVS(514)*UV(56)+JVS(515)&
              &*UV(59)+JVS(516)*UV(60)+JVS(517)*UV(61)+JVS(518)*UV(62)+JVS(519)*UV(68)+JVS(520)*UV(69)+JVS(522)*UV(72)&
              &+JVS(523)*UV(74)+JVS(526)*UV(77)
  JUV(62) = JVS(527)*UV(27)+JVS(528)*UV(34)+JVS(529)*UV(36)+JVS(530)*UV(37)+JVS(531)*UV(42)+JVS(532)*UV(59)+JVS(533)&
              &*UV(60)+JVS(534)*UV(61)+JVS(535)*UV(62)+JVS(536)*UV(68)+JVS(537)*UV(69)+JVS(539)*UV(72)+JVS(540)*UV(74)&
              &+JVS(543)*UV(77)
  JUV(63) = JVS(544)*UV(14)+JVS(545)*UV(20)+JVS(546)*UV(26)+JVS(547)*UV(27)+JVS(548)*UV(30)+JVS(549)*UV(32)+JVS(550)&
              &*UV(35)+JVS(551)*UV(36)+JVS(552)*UV(37)+JVS(553)*UV(39)+JVS(554)*UV(40)+JVS(555)*UV(41)+JVS(556)*UV(42)&
              &+JVS(557)*UV(43)+JVS(558)*UV(44)+JVS(559)*UV(46)+JVS(560)*UV(48)+JVS(561)*UV(49)+JVS(562)*UV(50)+JVS(563)&
              &*UV(51)+JVS(564)*UV(52)+JVS(565)*UV(53)+JVS(566)*UV(54)+JVS(567)*UV(56)+JVS(568)*UV(57)+JVS(569)*UV(59)&
              &+JVS(570)*UV(60)+JVS(571)*UV(61)+JVS(572)*UV(62)+JVS(573)*UV(63)+JVS(575)*UV(65)+JVS(576)*UV(66)+JVS(577)&
              &*UV(67)+JVS(578)*UV(68)+JVS(581)*UV(71)+JVS(582)*UV(72)+JVS(583)*UV(73)+JVS(584)*UV(74)+JVS(585)*UV(75)&
              &+JVS(586)*UV(76)+JVS(587)*UV(77)
  JUV(64) = JVS(589)*UV(42)+JVS(590)*UV(51)+JVS(591)*UV(52)+JVS(592)*UV(64)+JVS(593)*UV(68)+JVS(595)*UV(71)+JVS(596)&
              &*UV(72)+JVS(597)*UV(74)+JVS(598)*UV(75)+JVS(599)*UV(76)+JVS(600)*UV(77)
  JUV(65) = JVS(602)*UV(40)+JVS(603)*UV(56)+JVS(604)*UV(64)+JVS(605)*UV(65)+JVS(606)*UV(68)+JVS(607)*UV(69)+JVS(609)&
              &*UV(72)+JVS(610)*UV(74)+JVS(612)*UV(76)+JVS(613)*UV(77)+JVS(614)*UV(78)
  JUV(66) = JVS(615)*UV(15)+JVS(616)*UV(34)+JVS(617)*UV(36)+JVS(618)*UV(47)+JVS(619)*UV(49)+JVS(620)*UV(50)+JVS(623)&
              &*UV(59)+JVS(624)*UV(60)+JVS(629)*UV(66)+JVS(631)*UV(68)+JVS(632)*UV(69)+JVS(635)*UV(72)+JVS(636)*UV(73)&
              &+JVS(637)*UV(74)+JVS(638)*UV(75)+JVS(639)*UV(76)+JVS(640)*UV(77)
  JUV(67) = JVS(642)*UV(34)+JVS(643)*UV(36)+JVS(644)*UV(37)+JVS(645)*UV(42)+JVS(646)*UV(47)+JVS(651)*UV(59)+JVS(652)&
              &*UV(60)+JVS(657)*UV(67)+JVS(658)*UV(68)+JVS(659)*UV(69)+JVS(662)*UV(72)+JVS(664)*UV(74)+JVS(665)*UV(75)&
              &+JVS(666)*UV(76)+JVS(667)*UV(77)
  JUV(68) = JVS(669)*UV(26)+JVS(670)*UV(30)+JVS(671)*UV(32)+JVS(672)*UV(37)+JVS(673)*UV(40)+JVS(674)*UV(41)+JVS(675)&
              &*UV(42)+JVS(676)*UV(43)+JVS(677)*UV(44)+JVS(678)*UV(45)+JVS(679)*UV(46)+JVS(680)*UV(47)+JVS(681)*UV(48)&
              &+JVS(682)*UV(49)+JVS(683)*UV(50)+JVS(684)*UV(51)+JVS(685)*UV(52)+JVS(686)*UV(53)+JVS(687)*UV(54)+JVS(689)&
              &*UV(56)+JVS(690)*UV(57)+JVS(691)*UV(58)+JVS(694)*UV(61)+JVS(695)*UV(62)+JVS(696)*UV(64)+JVS(697)*UV(65)&
              &+JVS(698)*UV(66)+JVS(699)*UV(67)+JVS(700)*UV(68)+JVS(701)*UV(69)+JVS(704)*UV(72)+JVS(705)*UV(73)+JVS(706)&
              &*UV(74)+JVS(707)*UV(75)+JVS(708)*UV(76)+JVS(709)*UV(77)+JVS(710)*UV(78)
  JUV(69) = JVS(711)*UV(6)+JVS(712)*UV(9)+JVS(713)*UV(10)+JVS(714)*UV(11)+JVS(715)*UV(13)+JVS(716)*UV(14)+JVS(717)&
              &*UV(16)+JVS(718)*UV(19)+JVS(719)*UV(20)+JVS(720)*UV(22)+JVS(721)*UV(23)+JVS(722)*UV(24)+JVS(723)*UV(25)&
              &+JVS(724)*UV(26)+JVS(725)*UV(27)+JVS(726)*UV(28)+JVS(727)*UV(29)+JVS(728)*UV(30)+JVS(729)*UV(33)+JVS(730)&
              &*UV(34)+JVS(731)*UV(35)+JVS(732)*UV(36)+JVS(733)*UV(37)+JVS(734)*UV(38)+JVS(735)*UV(39)+JVS(736)*UV(40)&
              &+JVS(737)*UV(41)+JVS(738)*UV(42)+JVS(739)*UV(43)+JVS(740)*UV(44)+JVS(741)*UV(45)+JVS(742)*UV(46)+JVS(743)&
              &*UV(48)+JVS(744)*UV(49)+JVS(745)*UV(50)+JVS(746)*UV(51)+JVS(747)*UV(52)+JVS(748)*UV(53)+JVS(749)*UV(54)&
              &+JVS(750)*UV(55)+JVS(751)*UV(56)+JVS(752)*UV(57)+JVS(753)*UV(58)+JVS(754)*UV(59)+JVS(755)*UV(60)+JVS(756)&
              &*UV(61)+JVS(757)*UV(62)+JVS(758)*UV(63)+JVS(759)*UV(64)+JVS(760)*UV(65)+JVS(761)*UV(66)+JVS(762)*UV(67)&
              &+JVS(763)*UV(68)+JVS(764)*UV(69)+JVS(765)*UV(70)+JVS(766)*UV(71)+JVS(767)*UV(72)+JVS(768)*UV(73)+JVS(769)&
              &*UV(74)+JVS(770)*UV(75)+JVS(771)*UV(76)+JVS(772)*UV(77)+JVS(773)*UV(78)
  JUV(70) = JVS(774)*UV(41)+JVS(775)*UV(43)+JVS(776)*UV(44)+JVS(777)*UV(46)+JVS(778)*UV(48)+JVS(779)*UV(49)+JVS(780)&
              &*UV(50)+JVS(781)*UV(51)+JVS(782)*UV(52)+JVS(783)*UV(53)+JVS(784)*UV(54)+JVS(785)*UV(56)+JVS(786)*UV(57)&
              &+JVS(790)*UV(65)+JVS(791)*UV(66)+JVS(792)*UV(67)+JVS(794)*UV(69)+JVS(795)*UV(70)+JVS(798)*UV(73)+JVS(800)&
              &*UV(75)+JVS(801)*UV(76)
  JUV(71) = JVS(804)*UV(7)+JVS(805)*UV(29)+JVS(807)*UV(37)+JVS(808)*UV(42)+JVS(809)*UV(56)+JVS(818)*UV(71)+JVS(821)&
              &*UV(74)+JVS(822)*UV(75)+JVS(824)*UV(77)+JVS(825)*UV(78)
  JUV(72) = JVS(826)*UV(17)+JVS(827)*UV(20)+JVS(828)*UV(30)+JVS(829)*UV(37)+JVS(830)*UV(41)+JVS(831)*UV(42)+JVS(832)&
              &*UV(43)+JVS(833)*UV(44)+JVS(834)*UV(46)+JVS(835)*UV(48)+JVS(836)*UV(49)+JVS(837)*UV(50)+JVS(838)*UV(51)&
              &+JVS(839)*UV(52)+JVS(840)*UV(53)+JVS(841)*UV(54)+JVS(842)*UV(57)+JVS(843)*UV(58)+JVS(844)*UV(59)+JVS(845)&
              &*UV(60)+JVS(846)*UV(61)+JVS(847)*UV(62)+JVS(849)*UV(65)+JVS(850)*UV(66)+JVS(851)*UV(67)+JVS(852)*UV(68)&
              &+JVS(853)*UV(69)+JVS(856)*UV(72)+JVS(857)*UV(73)+JVS(858)*UV(74)+JVS(859)*UV(75)+JVS(860)*UV(76)+JVS(861)&
              &*UV(77)
  JUV(73) = JVS(863)*UV(14)+JVS(864)*UV(55)+JVS(868)*UV(68)+JVS(869)*UV(69)+JVS(870)*UV(70)+JVS(872)*UV(72)+JVS(873)&
              &*UV(73)+JVS(874)*UV(74)+JVS(876)*UV(76)+JVS(877)*UV(77)
  JUV(74) = JVS(879)*UV(8)+JVS(880)*UV(19)+JVS(881)*UV(27)+JVS(882)*UV(31)+JVS(883)*UV(32)+JVS(884)*UV(34)+JVS(885)&
              &*UV(36)+JVS(886)*UV(37)+JVS(887)*UV(38)+JVS(888)*UV(39)+JVS(889)*UV(40)+JVS(890)*UV(41)+JVS(891)*UV(42)&
              &+JVS(892)*UV(43)+JVS(893)*UV(44)+JVS(894)*UV(45)+JVS(895)*UV(46)+JVS(896)*UV(48)+JVS(897)*UV(49)+JVS(898)&
              &*UV(50)+JVS(899)*UV(51)+JVS(900)*UV(52)+JVS(901)*UV(53)+JVS(902)*UV(54)+JVS(903)*UV(56)+JVS(904)*UV(57)&
              &+JVS(905)*UV(58)+JVS(906)*UV(59)+JVS(907)*UV(60)+JVS(908)*UV(61)+JVS(909)*UV(62)+JVS(910)*UV(63)+JVS(911)&
              &*UV(64)+JVS(912)*UV(65)+JVS(913)*UV(66)+JVS(914)*UV(67)+JVS(915)*UV(68)+JVS(916)*UV(69)+JVS(918)*UV(71)&
              &+JVS(919)*UV(72)+JVS(920)*UV(73)+JVS(921)*UV(74)+JVS(922)*UV(75)+JVS(923)*UV(76)+JVS(924)*UV(77)+JVS(925)&
              &*UV(78)
  JUV(75) = JVS(926)*UV(7)+JVS(927)*UV(24)+JVS(928)*UV(25)+JVS(929)*UV(27)+JVS(930)*UV(28)+JVS(931)*UV(29)+JVS(932)&
              &*UV(34)+JVS(933)*UV(35)+JVS(934)*UV(36)+JVS(935)*UV(37)+JVS(937)*UV(40)+JVS(938)*UV(42)+JVS(939)*UV(56)&
              &+JVS(940)*UV(59)+JVS(941)*UV(60)+JVS(943)*UV(64)+JVS(944)*UV(65)+JVS(947)*UV(68)+JVS(948)*UV(69)+JVS(950)&
              &*UV(71)+JVS(954)*UV(75)+JVS(955)*UV(76)+JVS(956)*UV(77)+JVS(957)*UV(78)
  JUV(76) = JVS(958)*UV(6)+JVS(959)*UV(7)+JVS(960)*UV(9)+JVS(961)*UV(10)+JVS(962)*UV(11)+JVS(963)*UV(12)+JVS(964)*UV(13)&
              &+JVS(965)*UV(14)+JVS(966)*UV(15)+JVS(967)*UV(16)+JVS(968)*UV(17)+JVS(969)*UV(18)+JVS(970)*UV(19)+JVS(971)&
              &*UV(20)+JVS(972)*UV(21)+JVS(973)*UV(22)+JVS(974)*UV(24)+JVS(975)*UV(25)+JVS(976)*UV(26)+JVS(977)*UV(27)&
              &+JVS(978)*UV(28)+JVS(980)*UV(30)+JVS(981)*UV(31)+JVS(982)*UV(32)+JVS(983)*UV(33)+JVS(984)*UV(34)+JVS(986)&
              &*UV(36)+JVS(987)*UV(37)+JVS(988)*UV(38)+JVS(989)*UV(39)+JVS(990)*UV(40)+JVS(991)*UV(42)+JVS(992)*UV(45)&
              &+JVS(994)*UV(47)+JVS(1000)*UV(55)+JVS(1001)*UV(56)+JVS(1002)*UV(58)+JVS(1003)*UV(59)+JVS(1004)*UV(60)&
              &+JVS(1007)*UV(63)+JVS(1008)*UV(64)+JVS(1013)*UV(69)+JVS(1014)*UV(70)+JVS(1015)*UV(71)+JVS(1018)*UV(74)&
              &+JVS(1019)*UV(75)+JVS(1020)*UV(76)+JVS(1021)*UV(77)+JVS(1022)*UV(78)
  JUV(77) = JVS(1023)*UV(21)+JVS(1027)*UV(29)+JVS(1030)*UV(41)+JVS(1031)*UV(43)+JVS(1032)*UV(44)+JVS(1033)*UV(46)&
              &+JVS(1034)*UV(48)+JVS(1035)*UV(49)+JVS(1036)*UV(50)+JVS(1037)*UV(51)+JVS(1038)*UV(52)+JVS(1039)*UV(53)&
              &+JVS(1040)*UV(54)+JVS(1041)*UV(57)+JVS(1044)*UV(61)+JVS(1045)*UV(62)+JVS(1048)*UV(65)+JVS(1049)*UV(66)&
              &+JVS(1050)*UV(67)+JVS(1051)*UV(68)+JVS(1052)*UV(69)+JVS(1054)*UV(71)+JVS(1055)*UV(72)+JVS(1056)*UV(73)&
              &+JVS(1057)*UV(74)+JVS(1058)*UV(75)+JVS(1059)*UV(76)+JVS(1060)*UV(77)+JVS(1061)*UV(78)
  JUV(78) = JVS(1062)*UV(8)+JVS(1063)*UV(19)+JVS(1064)*UV(21)+JVS(1065)*UV(23)+JVS(1066)*UV(24)+JVS(1067)*UV(25)&
              &+JVS(1068)*UV(28)+JVS(1069)*UV(29)+JVS(1070)*UV(31)+JVS(1071)*UV(32)+JVS(1075)*UV(40)+JVS(1076)*UV(41)&
              &+JVS(1077)*UV(43)+JVS(1078)*UV(44)+JVS(1080)*UV(46)+JVS(1081)*UV(48)+JVS(1082)*UV(49)+JVS(1083)*UV(50)&
              &+JVS(1084)*UV(51)+JVS(1085)*UV(52)+JVS(1086)*UV(53)+JVS(1087)*UV(54)+JVS(1088)*UV(55)+JVS(1090)*UV(57)&
              &+JVS(1094)*UV(61)+JVS(1095)*UV(62)+JVS(1097)*UV(64)+JVS(1098)*UV(65)+JVS(1099)*UV(66)+JVS(1100)*UV(67)&
              &+JVS(1101)*UV(68)+JVS(1102)*UV(69)+JVS(1104)*UV(71)+JVS(1105)*UV(72)+JVS(1106)*UV(73)+JVS(1107)*UV(74)&
              &+JVS(1108)*UV(75)+JVS(1109)*UV(76)+JVS(1110)*UV(77)+JVS(1111)*UV(78)
END SUBROUTINE Jac_SP_Vec
SUBROUTINE JacTR_SP_Vec ( JVS, UV, JTUV )
  REAL(kind=dp) :: JVS(LU_NONZERO)
  REAL(kind=dp) :: UV(NVAR)
  REAL(kind=dp) :: JTUV(NVAR)
  JTUV(1) = JVS(1)*UV(1)
  JTUV(2) = JVS(4)*UV(2)
  JTUV(3) = JVS(7)*UV(3)
  JTUV(4) = JVS(19)*UV(4)
  JTUV(5) = JVS(41)*UV(5)+JVS(193)*UV(35)
  JTUV(6) = JVS(2)*UV(1)+JVS(43)*UV(6)+JVS(711)*UV(69)+JVS(958)*UV(76)
  JTUV(7) = JVS(45)*UV(7)+JVS(804)*UV(71)+JVS(926)*UV(75)+JVS(959)*UV(76)
  JTUV(8) = JVS(47)*UV(8)+JVS(879)*UV(74)+JVS(1062)*UV(78)
  JTUV(9) = JVS(50)*UV(9)+JVS(299)*UV(47)+JVS(333)*UV(49)+JVS(712)*UV(69)+JVS(960)*UV(76)
  JTUV(10) = JVS(52)*UV(10)+JVS(112)*UV(24)+JVS(427)*UV(57)+JVS(713)*UV(69)+JVS(961)*UV(76)
  JTUV(11) = JVS(54)*UV(11)+JVS(117)*UV(25)+JVS(428)*UV(57)+JVS(714)*UV(69)+JVS(962)*UV(76)
  JTUV(12) = JVS(56)*UV(12)+JVS(194)*UV(35)+JVS(963)*UV(76)
  JTUV(13) = JVS(59)*UV(13)+JVS(122)*UV(26)+JVS(341)*UV(50)+JVS(453)*UV(58)+JVS(715)*UV(69)+JVS(964)*UV(76)
  JTUV(14) = JVS(8)*UV(3)+JVS(61)*UV(14)+JVS(168)*UV(33)+JVS(221)*UV(39)+JVS(454)*UV(58)+JVS(544)*UV(63)+JVS(716)*UV(69)&
               &+JVS(863)*UV(73)+JVS(965)*UV(76)
  JTUV(15) = JVS(63)*UV(15)+JVS(615)*UV(66)+JVS(966)*UV(76)
  JTUV(16) = JVS(68)*UV(16)+JVS(300)*UV(47)+JVS(455)*UV(58)+JVS(717)*UV(69)+JVS(967)*UV(76)
  JTUV(17) = JVS(71)*UV(17)+JVS(826)*UV(72)+JVS(968)*UV(76)
  JTUV(18) = JVS(76)*UV(18)+JVS(195)*UV(35)+JVS(969)*UV(76)
  JTUV(19) = JVS(81)*UV(19)+JVS(718)*UV(69)+JVS(880)*UV(74)+JVS(970)*UV(76)+JVS(1063)*UV(78)
  JTUV(20) = JVS(85)*UV(20)+JVS(545)*UV(63)+JVS(719)*UV(69)+JVS(827)*UV(72)+JVS(971)*UV(76)
  JTUV(21) = JVS(89)*UV(21)+JVS(972)*UV(76)+JVS(1023)*UV(77)+JVS(1064)*UV(78)
  JTUV(22) = JVS(96)*UV(22)+JVS(720)*UV(69)+JVS(973)*UV(76)
  JTUV(23) = JVS(106)*UV(23)+JVS(211)*UV(38)+JVS(389)*UV(55)+JVS(721)*UV(69)+JVS(1065)*UV(78)
  JTUV(24) = JVS(90)*UV(21)+JVS(113)*UV(24)+JVS(212)*UV(38)+JVS(349)*UV(51)+JVS(722)*UV(69)+JVS(927)*UV(75)+JVS(974)&
               &*UV(76)+JVS(1066)*UV(78)
  JTUV(25) = JVS(91)*UV(21)+JVS(118)*UV(25)+JVS(213)*UV(38)+JVS(359)*UV(52)+JVS(723)*UV(69)+JVS(928)*UV(75)+JVS(975)&
               &*UV(76)+JVS(1067)*UV(78)
  JTUV(26) = JVS(123)*UV(26)+JVS(270)*UV(45)+JVS(546)*UV(63)+JVS(669)*UV(68)+JVS(724)*UV(69)+JVS(976)*UV(76)
  JTUV(27) = JVS(9)*UV(3)+JVS(129)*UV(27)+JVS(169)*UV(33)+JVS(240)*UV(41)+JVS(509)*UV(61)+JVS(527)*UV(62)+JVS(547)&
               &*UV(63)+JVS(725)*UV(69)+JVS(881)*UV(74)+JVS(929)*UV(75)+JVS(977)*UV(76)
  JTUV(28) = JVS(92)*UV(21)+JVS(133)*UV(28)+JVS(214)*UV(38)+JVS(288)*UV(46)+JVS(726)*UV(69)+JVS(930)*UV(75)+JVS(978)&
               &*UV(76)+JVS(1068)*UV(78)
  JTUV(29) = JVS(42)*UV(5)+JVS(57)*UV(12)+JVS(138)*UV(29)+JVS(196)*UV(35)+JVS(727)*UV(69)+JVS(805)*UV(71)+JVS(931)&
               &*UV(75)+JVS(1027)*UV(77)+JVS(1069)*UV(78)
  JTUV(30) = JVS(143)*UV(30)+JVS(429)*UV(57)+JVS(548)*UV(63)+JVS(670)*UV(68)+JVS(728)*UV(69)+JVS(828)*UV(72)+JVS(980)&
               &*UV(76)
  JTUV(31) = JVS(149)*UV(31)+JVS(882)*UV(74)+JVS(981)*UV(76)+JVS(1070)*UV(78)
  JTUV(32) = JVS(161)*UV(32)+JVS(430)*UV(57)+JVS(549)*UV(63)+JVS(671)*UV(68)+JVS(883)*UV(74)+JVS(982)*UV(76)+JVS(1071)&
               &*UV(78)
  JTUV(33) = JVS(5)*UV(2)+JVS(170)*UV(33)+JVS(729)*UV(69)+JVS(983)*UV(76)
  JTUV(34) = JVS(97)*UV(22)+JVS(171)*UV(33)+JVS(189)*UV(34)+JVS(301)*UV(47)+JVS(369)*UV(53)+JVS(456)*UV(58)+JVS(510)&
               &*UV(61)+JVS(528)*UV(62)+JVS(616)*UV(66)+JVS(642)*UV(67)+JVS(730)*UV(69)+JVS(884)*UV(74)+JVS(932)*UV(75)&
               &+JVS(984)*UV(76)
  JTUV(35) = JVS(77)*UV(18)+JVS(139)*UV(29)+JVS(172)*UV(33)+JVS(197)*UV(35)+JVS(550)*UV(63)+JVS(731)*UV(69)+JVS(933)&
               &*UV(75)
  JTUV(36) = JVS(10)*UV(3)+JVS(20)*UV(4)+JVS(98)*UV(22)+JVS(173)*UV(33)+JVS(203)*UV(36)+JVS(324)*UV(48)+JVS(413)*UV(56)&
               &+JVS(485)*UV(59)+JVS(511)*UV(61)+JVS(529)*UV(62)+JVS(551)*UV(63)+JVS(617)*UV(66)+JVS(643)*UV(67)+JVS(732)&
               &*UV(69)+JVS(885)*UV(74)+JVS(934)*UV(75)+JVS(986)*UV(76)
  JTUV(37) = JVS(11)*UV(3)+JVS(99)*UV(22)+JVS(174)*UV(33)+JVS(207)*UV(37)+JVS(378)*UV(54)+JVS(414)*UV(56)+JVS(431)&
               &*UV(57)+JVS(486)*UV(59)+JVS(512)*UV(61)+JVS(530)*UV(62)+JVS(552)*UV(63)+JVS(644)*UV(67)+JVS(672)*UV(68)&
               &+JVS(733)*UV(69)+JVS(807)*UV(71)+JVS(829)*UV(72)+JVS(886)*UV(74)+JVS(935)*UV(75)+JVS(987)*UV(76)
  JTUV(38) = JVS(107)*UV(23)+JVS(134)*UV(28)+JVS(150)*UV(31)+JVS(215)*UV(38)+JVS(432)*UV(57)+JVS(734)*UV(69)+JVS(887)&
               &*UV(74)+JVS(988)*UV(76)
  JTUV(39) = JVS(151)*UV(31)+JVS(175)*UV(33)+JVS(222)*UV(39)+JVS(553)*UV(63)+JVS(735)*UV(69)+JVS(888)*UV(74)+JVS(989)&
               &*UV(76)
  JTUV(40) = JVS(12)*UV(3)+JVS(124)*UV(26)+JVS(162)*UV(32)+JVS(176)*UV(33)+JVS(234)*UV(40)+JVS(391)*UV(55)+JVS(433)&
               &*UV(57)+JVS(554)*UV(63)+JVS(602)*UV(65)+JVS(673)*UV(68)+JVS(736)*UV(69)+JVS(889)*UV(74)+JVS(937)*UV(75)&
               &+JVS(990)*UV(76)+JVS(1075)*UV(78)
  JTUV(41) = JVS(21)*UV(4)+JVS(241)*UV(41)+JVS(457)*UV(58)+JVS(555)*UV(63)+JVS(674)*UV(68)+JVS(737)*UV(69)+JVS(774)&
               &*UV(70)+JVS(830)*UV(72)+JVS(890)*UV(74)+JVS(1030)*UV(77)+JVS(1076)*UV(78)
  JTUV(42) = JVS(13)*UV(3)+JVS(100)*UV(22)+JVS(177)*UV(33)+JVS(249)*UV(42)+JVS(379)*UV(54)+JVS(415)*UV(56)+JVS(434)&
               &*UV(57)+JVS(487)*UV(59)+JVS(513)*UV(61)+JVS(531)*UV(62)+JVS(556)*UV(63)+JVS(589)*UV(64)+JVS(645)*UV(67)&
               &+JVS(675)*UV(68)+JVS(738)*UV(69)+JVS(808)*UV(71)+JVS(831)*UV(72)+JVS(891)*UV(74)+JVS(938)*UV(75)+JVS(991)&
               &*UV(76)
  JTUV(43) = JVS(22)*UV(4)+JVS(254)*UV(43)+JVS(302)*UV(47)+JVS(458)*UV(58)+JVS(557)*UV(63)+JVS(676)*UV(68)+JVS(739)&
               &*UV(69)+JVS(775)*UV(70)+JVS(832)*UV(72)+JVS(892)*UV(74)+JVS(1031)*UV(77)+JVS(1077)*UV(78)
  JTUV(44) = JVS(23)*UV(4)+JVS(262)*UV(44)+JVS(303)*UV(47)+JVS(459)*UV(58)+JVS(558)*UV(63)+JVS(677)*UV(68)+JVS(740)&
               &*UV(69)+JVS(776)*UV(70)+JVS(833)*UV(72)+JVS(893)*UV(74)+JVS(1032)*UV(77)+JVS(1078)*UV(78)
  JTUV(45) = JVS(152)*UV(31)+JVS(178)*UV(33)+JVS(272)*UV(45)+JVS(678)*UV(68)+JVS(741)*UV(69)+JVS(894)*UV(74)+JVS(992)&
               &*UV(76)
  JTUV(46) = JVS(223)*UV(39)+JVS(273)*UV(45)+JVS(290)*UV(46)+JVS(559)*UV(63)+JVS(679)*UV(68)+JVS(742)*UV(69)+JVS(777)&
               &*UV(70)+JVS(834)*UV(72)+JVS(895)*UV(74)+JVS(1033)*UV(77)+JVS(1080)*UV(78)
  JTUV(47) = JVS(304)*UV(47)+JVS(618)*UV(66)+JVS(646)*UV(67)+JVS(680)*UV(68)+JVS(994)*UV(76)
  JTUV(48) = JVS(325)*UV(48)+JVS(392)*UV(55)+JVS(416)*UV(56)+JVS(498)*UV(60)+JVS(560)*UV(63)+JVS(681)*UV(68)+JVS(743)&
               &*UV(69)+JVS(778)*UV(70)+JVS(835)*UV(72)+JVS(896)*UV(74)+JVS(1034)*UV(77)+JVS(1081)*UV(78)
  JTUV(49) = JVS(24)*UV(4)+JVS(305)*UV(47)+JVS(334)*UV(49)+JVS(393)*UV(55)+JVS(435)*UV(57)+JVS(460)*UV(58)+JVS(561)&
               &*UV(63)+JVS(619)*UV(66)+JVS(682)*UV(68)+JVS(744)*UV(69)+JVS(779)*UV(70)+JVS(836)*UV(72)+JVS(897)*UV(74)&
               &+JVS(1035)*UV(77)+JVS(1082)*UV(78)
  JTUV(50) = JVS(25)*UV(4)+JVS(306)*UV(47)+JVS(342)*UV(50)+JVS(394)*UV(55)+JVS(436)*UV(57)+JVS(461)*UV(58)+JVS(562)&
               &*UV(63)+JVS(620)*UV(66)+JVS(683)*UV(68)+JVS(745)*UV(69)+JVS(780)*UV(70)+JVS(837)*UV(72)+JVS(898)*UV(74)&
               &+JVS(1036)*UV(77)+JVS(1083)*UV(78)
  JTUV(51) = JVS(224)*UV(39)+JVS(274)*UV(45)+JVS(350)*UV(51)+JVS(395)*UV(55)+JVS(563)*UV(63)+JVS(590)*UV(64)+JVS(684)&
               &*UV(68)+JVS(746)*UV(69)+JVS(781)*UV(70)+JVS(838)*UV(72)+JVS(899)*UV(74)+JVS(1037)*UV(77)+JVS(1084)*UV(78)
  JTUV(52) = JVS(225)*UV(39)+JVS(275)*UV(45)+JVS(360)*UV(52)+JVS(396)*UV(55)+JVS(564)*UV(63)+JVS(591)*UV(64)+JVS(685)&
               &*UV(68)+JVS(747)*UV(69)+JVS(782)*UV(70)+JVS(839)*UV(72)+JVS(900)*UV(74)+JVS(1038)*UV(77)+JVS(1085)*UV(78)
  JTUV(53) = JVS(307)*UV(47)+JVS(370)*UV(53)+JVS(397)*UV(55)+JVS(462)*UV(58)+JVS(565)*UV(63)+JVS(686)*UV(68)+JVS(748)&
               &*UV(69)+JVS(783)*UV(70)+JVS(840)*UV(72)+JVS(901)*UV(74)+JVS(1039)*UV(77)+JVS(1086)*UV(78)
  JTUV(54) = JVS(26)*UV(4)+JVS(380)*UV(54)+JVS(398)*UV(55)+JVS(417)*UV(56)+JVS(488)*UV(59)+JVS(499)*UV(60)+JVS(566)&
               &*UV(63)+JVS(687)*UV(68)+JVS(749)*UV(69)+JVS(784)*UV(70)+JVS(841)*UV(72)+JVS(902)*UV(74)+JVS(1040)*UV(77)&
               &+JVS(1087)*UV(78)
  JTUV(55) = JVS(308)*UV(47)+JVS(399)*UV(55)+JVS(463)*UV(58)+JVS(750)*UV(69)+JVS(864)*UV(73)+JVS(1000)*UV(76)+JVS(1088)&
               &*UV(78)
  JTUV(56) = JVS(14)*UV(3)+JVS(27)*UV(4)+JVS(125)*UV(26)+JVS(153)*UV(31)+JVS(179)*UV(33)+JVS(276)*UV(45)+JVS(418)*UV(56)&
               &+JVS(437)*UV(57)+JVS(464)*UV(58)+JVS(514)*UV(61)+JVS(567)*UV(63)+JVS(603)*UV(65)+JVS(689)*UV(68)+JVS(751)&
               &*UV(69)+JVS(785)*UV(70)+JVS(809)*UV(71)+JVS(903)*UV(74)+JVS(939)*UV(75)+JVS(1001)*UV(76)
  JTUV(57) = JVS(438)*UV(57)+JVS(568)*UV(63)+JVS(690)*UV(68)+JVS(752)*UV(69)+JVS(786)*UV(70)+JVS(842)*UV(72)+JVS(904)&
               &*UV(74)+JVS(1041)*UV(77)+JVS(1090)*UV(78)
  JTUV(58) = JVS(154)*UV(31)+JVS(180)*UV(33)+JVS(465)*UV(58)+JVS(691)*UV(68)+JVS(753)*UV(69)+JVS(843)*UV(72)+JVS(905)&
               &*UV(74)+JVS(1002)*UV(76)
  JTUV(59) = JVS(15)*UV(3)+JVS(28)*UV(4)+JVS(64)*UV(15)+JVS(72)*UV(17)+JVS(101)*UV(22)+JVS(181)*UV(33)+JVS(255)*UV(43)&
               &+JVS(309)*UV(47)+JVS(466)*UV(58)+JVS(489)*UV(59)+JVS(515)*UV(61)+JVS(532)*UV(62)+JVS(569)*UV(63)+JVS(623)&
               &*UV(66)+JVS(651)*UV(67)+JVS(754)*UV(69)+JVS(844)*UV(72)+JVS(906)*UV(74)+JVS(940)*UV(75)+JVS(1003)*UV(76)
  JTUV(60) = JVS(29)*UV(4)+JVS(65)*UV(15)+JVS(73)*UV(17)+JVS(102)*UV(22)+JVS(182)*UV(33)+JVS(263)*UV(44)+JVS(310)*UV(47)&
               &+JVS(467)*UV(58)+JVS(500)*UV(60)+JVS(516)*UV(61)+JVS(533)*UV(62)+JVS(570)*UV(63)+JVS(624)*UV(66)+JVS(652)&
               &*UV(67)+JVS(755)*UV(69)+JVS(845)*UV(72)+JVS(907)*UV(74)+JVS(941)*UV(75)+JVS(1004)*UV(76)
  JTUV(61) = JVS(30)*UV(4)+JVS(311)*UV(47)+JVS(400)*UV(55)+JVS(468)*UV(58)+JVS(517)*UV(61)+JVS(534)*UV(62)+JVS(571)&
               &*UV(63)+JVS(694)*UV(68)+JVS(756)*UV(69)+JVS(846)*UV(72)+JVS(908)*UV(74)+JVS(1044)*UV(77)+JVS(1094)*UV(78)
  JTUV(62) = JVS(31)*UV(4)+JVS(312)*UV(47)+JVS(401)*UV(55)+JVS(469)*UV(58)+JVS(518)*UV(61)+JVS(535)*UV(62)+JVS(572)&
               &*UV(63)+JVS(695)*UV(68)+JVS(757)*UV(69)+JVS(847)*UV(72)+JVS(909)*UV(74)+JVS(1045)*UV(77)+JVS(1095)*UV(78)
  JTUV(63) = JVS(78)*UV(18)+JVS(155)*UV(31)+JVS(183)*UV(33)+JVS(198)*UV(35)+JVS(573)*UV(63)+JVS(758)*UV(69)+JVS(910)&
               &*UV(74)+JVS(1007)*UV(76)
  JTUV(64) = JVS(16)*UV(3)+JVS(32)*UV(4)+JVS(69)*UV(16)+JVS(144)*UV(30)+JVS(156)*UV(31)+JVS(184)*UV(33)+JVS(226)*UV(39)&
               &+JVS(277)*UV(45)+JVS(313)*UV(47)+JVS(439)*UV(57)+JVS(470)*UV(58)+JVS(592)*UV(64)+JVS(604)*UV(65)+JVS(696)&
               &*UV(68)+JVS(759)*UV(69)+JVS(911)*UV(74)+JVS(943)*UV(75)+JVS(1008)*UV(76)+JVS(1097)*UV(78)
  JTUV(65) = JVS(33)*UV(4)+JVS(235)*UV(40)+JVS(575)*UV(63)+JVS(605)*UV(65)+JVS(697)*UV(68)+JVS(760)*UV(69)+JVS(790)&
               &*UV(70)+JVS(849)*UV(72)+JVS(912)*UV(74)+JVS(944)*UV(75)+JVS(1048)*UV(77)+JVS(1098)*UV(78)
  JTUV(66) = JVS(34)*UV(4)+JVS(472)*UV(58)+JVS(576)*UV(63)+JVS(629)*UV(66)+JVS(698)*UV(68)+JVS(761)*UV(69)+JVS(791)&
               &*UV(70)+JVS(850)*UV(72)+JVS(913)*UV(74)+JVS(1049)*UV(77)+JVS(1099)*UV(78)
  JTUV(67) = JVS(35)*UV(4)+JVS(126)*UV(26)+JVS(279)*UV(45)+JVS(314)*UV(47)+JVS(441)*UV(57)+JVS(473)*UV(58)+JVS(577)&
               &*UV(63)+JVS(657)*UV(67)+JVS(699)*UV(68)+JVS(762)*UV(69)+JVS(792)*UV(70)+JVS(851)*UV(72)+JVS(914)*UV(74)&
               &+JVS(1050)*UV(77)+JVS(1100)*UV(78)
  JTUV(68) = JVS(36)*UV(4)+JVS(145)*UV(30)+JVS(163)*UV(32)+JVS(227)*UV(39)+JVS(242)*UV(41)+JVS(256)*UV(43)+JVS(264)&
               &*UV(44)+JVS(280)*UV(45)+JVS(291)*UV(46)+JVS(315)*UV(47)+JVS(326)*UV(48)+JVS(335)*UV(49)+JVS(343)*UV(50)&
               &+JVS(351)*UV(51)+JVS(361)*UV(52)+JVS(371)*UV(53)+JVS(381)*UV(54)+JVS(403)*UV(55)+JVS(419)*UV(56)+JVS(442)&
               &*UV(57)+JVS(474)*UV(58)+JVS(490)*UV(59)+JVS(501)*UV(60)+JVS(519)*UV(61)+JVS(536)*UV(62)+JVS(578)*UV(63)&
               &+JVS(593)*UV(64)+JVS(606)*UV(65)+JVS(631)*UV(66)+JVS(658)*UV(67)+JVS(700)*UV(68)+JVS(763)*UV(69)+JVS(852)&
               &*UV(72)+JVS(868)*UV(73)+JVS(915)*UV(74)+JVS(947)*UV(75)+JVS(1051)*UV(77)+JVS(1101)*UV(78)
  JTUV(69) = JVS(37)*UV(4)+JVS(58)*UV(12)+JVS(79)*UV(18)+JVS(82)*UV(19)+JVS(86)*UV(20)+JVS(103)*UV(22)+JVS(108)*UV(23)&
               &+JVS(140)*UV(29)+JVS(146)*UV(30)+JVS(157)*UV(31)+JVS(199)*UV(35)+JVS(216)*UV(38)+JVS(243)*UV(41)+JVS(257)&
               &*UV(43)+JVS(265)*UV(44)+JVS(292)*UV(46)+JVS(327)*UV(48)+JVS(336)*UV(49)+JVS(344)*UV(50)+JVS(352)*UV(51)&
               &+JVS(362)*UV(52)+JVS(372)*UV(53)+JVS(382)*UV(54)+JVS(404)*UV(55)+JVS(443)*UV(57)+JVS(520)*UV(61)+JVS(537)&
               &*UV(62)+JVS(607)*UV(65)+JVS(632)*UV(66)+JVS(659)*UV(67)+JVS(701)*UV(68)+JVS(764)*UV(69)+JVS(794)*UV(70)&
               &+JVS(853)*UV(72)+JVS(869)*UV(73)+JVS(916)*UV(74)+JVS(948)*UV(75)+JVS(1013)*UV(76)+JVS(1052)*UV(77)+JVS(1102)&
               &*UV(78)
  JTUV(70) = JVS(317)*UV(47)+JVS(444)*UV(57)+JVS(476)*UV(58)+JVS(765)*UV(69)+JVS(795)*UV(70)+JVS(870)*UV(73)+JVS(1014)&
               &*UV(76)
  JTUV(71) = JVS(185)*UV(33)+JVS(250)*UV(42)+JVS(421)*UV(56)+JVS(445)*UV(57)+JVS(477)*UV(58)+JVS(492)*UV(59)+JVS(581)&
               &*UV(63)+JVS(595)*UV(64)+JVS(766)*UV(69)+JVS(818)*UV(71)+JVS(918)*UV(74)+JVS(950)*UV(75)+JVS(1015)*UV(76)&
               &+JVS(1054)*UV(77)+JVS(1104)*UV(78)
  JTUV(72) = JVS(38)*UV(4)+JVS(87)*UV(20)+JVS(127)*UV(26)+JVS(228)*UV(39)+JVS(244)*UV(41)+JVS(258)*UV(43)+JVS(266)&
               &*UV(44)+JVS(281)*UV(45)+JVS(293)*UV(46)+JVS(318)*UV(47)+JVS(328)*UV(48)+JVS(337)*UV(49)+JVS(345)*UV(50)&
               &+JVS(353)*UV(51)+JVS(363)*UV(52)+JVS(373)*UV(53)+JVS(384)*UV(54)+JVS(406)*UV(55)+JVS(422)*UV(56)+JVS(446)&
               &*UV(57)+JVS(478)*UV(58)+JVS(493)*UV(59)+JVS(504)*UV(60)+JVS(522)*UV(61)+JVS(539)*UV(62)+JVS(582)*UV(63)&
               &+JVS(596)*UV(64)+JVS(609)*UV(65)+JVS(635)*UV(66)+JVS(662)*UV(67)+JVS(704)*UV(68)+JVS(767)*UV(69)+JVS(856)&
               &*UV(72)+JVS(872)*UV(73)+JVS(919)*UV(74)+JVS(1055)*UV(77)+JVS(1105)*UV(78)
  JTUV(73) = JVS(39)*UV(4)+JVS(229)*UV(39)+JVS(282)*UV(45)+JVS(319)*UV(47)+JVS(407)*UV(55)+JVS(447)*UV(57)+JVS(479)&
               &*UV(58)+JVS(583)*UV(63)+JVS(636)*UV(66)+JVS(705)*UV(68)+JVS(768)*UV(69)+JVS(798)*UV(70)+JVS(857)*UV(72)&
               &+JVS(873)*UV(73)+JVS(920)*UV(74)+JVS(1056)*UV(77)+JVS(1106)*UV(78)
  JTUV(74) = JVS(48)*UV(8)+JVS(109)*UV(23)+JVS(130)*UV(27)+JVS(158)*UV(31)+JVS(164)*UV(32)+JVS(186)*UV(33)+JVS(190)&
               &*UV(34)+JVS(204)*UV(36)+JVS(208)*UV(37)+JVS(217)*UV(38)+JVS(230)*UV(39)+JVS(236)*UV(40)+JVS(245)*UV(41)&
               &+JVS(251)*UV(42)+JVS(259)*UV(43)+JVS(267)*UV(44)+JVS(283)*UV(45)+JVS(294)*UV(46)+JVS(320)*UV(47)+JVS(329)&
               &*UV(48)+JVS(338)*UV(49)+JVS(346)*UV(50)+JVS(354)*UV(51)+JVS(364)*UV(52)+JVS(374)*UV(53)+JVS(385)*UV(54)&
               &+JVS(408)*UV(55)+JVS(423)*UV(56)+JVS(448)*UV(57)+JVS(480)*UV(58)+JVS(494)*UV(59)+JVS(505)*UV(60)+JVS(523)&
               &*UV(61)+JVS(540)*UV(62)+JVS(584)*UV(63)+JVS(597)*UV(64)+JVS(610)*UV(65)+JVS(637)*UV(66)+JVS(664)*UV(67)&
               &+JVS(706)*UV(68)+JVS(769)*UV(69)+JVS(821)*UV(71)+JVS(858)*UV(72)+JVS(874)*UV(73)+JVS(921)*UV(74)+JVS(1018)&
               &*UV(76)+JVS(1057)*UV(77)+JVS(1107)*UV(78)
  JTUV(75) = JVS(17)*UV(3)+JVS(40)*UV(4)+JVS(46)*UV(7)+JVS(66)*UV(15)+JVS(74)*UV(17)+JVS(104)*UV(22)+JVS(114)*UV(24)&
               &+JVS(119)*UV(25)+JVS(131)*UV(27)+JVS(135)*UV(28)+JVS(141)*UV(29)+JVS(147)*UV(30)+JVS(165)*UV(32)+JVS(187)&
               &*UV(33)+JVS(191)*UV(34)+JVS(200)*UV(35)+JVS(205)*UV(36)+JVS(209)*UV(37)+JVS(218)*UV(38)+JVS(231)*UV(39)&
               &+JVS(237)*UV(40)+JVS(252)*UV(42)+JVS(284)*UV(45)+JVS(321)*UV(47)+JVS(424)*UV(56)+JVS(449)*UV(57)+JVS(481)&
               &*UV(58)+JVS(495)*UV(59)+JVS(506)*UV(60)+JVS(585)*UV(63)+JVS(598)*UV(64)+JVS(638)*UV(66)+JVS(665)*UV(67)&
               &+JVS(707)*UV(68)+JVS(770)*UV(69)+JVS(800)*UV(70)+JVS(822)*UV(71)+JVS(859)*UV(72)+JVS(922)*UV(74)+JVS(954)&
               &*UV(75)+JVS(1019)*UV(76)+JVS(1058)*UV(77)+JVS(1108)*UV(78)
  JTUV(76) = JVS(3)*UV(1)+JVS(6)*UV(2)+JVS(18)*UV(3)+JVS(44)*UV(6)+JVS(51)*UV(9)+JVS(53)*UV(10)+JVS(55)*UV(11)+JVS(60)&
               &*UV(13)+JVS(62)*UV(14)+JVS(67)*UV(15)+JVS(70)*UV(16)+JVS(75)*UV(17)+JVS(80)*UV(18)+JVS(83)*UV(19)+JVS(88)&
               &*UV(20)+JVS(93)*UV(21)+JVS(105)*UV(22)+JVS(110)*UV(23)+JVS(115)*UV(24)+JVS(120)*UV(25)+JVS(128)*UV(26)&
               &+JVS(132)*UV(27)+JVS(136)*UV(28)+JVS(148)*UV(30)+JVS(159)*UV(31)+JVS(166)*UV(32)+JVS(188)*UV(33)+JVS(192)&
               &*UV(34)+JVS(201)*UV(35)+JVS(206)*UV(36)+JVS(210)*UV(37)+JVS(219)*UV(38)+JVS(232)*UV(39)+JVS(238)*UV(40)&
               &+JVS(247)*UV(41)+JVS(253)*UV(42)+JVS(260)*UV(43)+JVS(268)*UV(44)+JVS(285)*UV(45)+JVS(322)*UV(47)+JVS(331)&
               &*UV(48)+JVS(339)*UV(49)+JVS(347)*UV(50)+JVS(376)*UV(53)+JVS(387)*UV(54)+JVS(410)*UV(55)+JVS(425)*UV(56)&
               &+JVS(450)*UV(57)+JVS(482)*UV(58)+JVS(496)*UV(59)+JVS(507)*UV(60)+JVS(586)*UV(63)+JVS(599)*UV(64)+JVS(612)&
               &*UV(65)+JVS(639)*UV(66)+JVS(666)*UV(67)+JVS(708)*UV(68)+JVS(771)*UV(69)+JVS(801)*UV(70)+JVS(860)*UV(72)&
               &+JVS(876)*UV(73)+JVS(923)*UV(74)+JVS(955)*UV(75)+JVS(1020)*UV(76)+JVS(1059)*UV(77)+JVS(1109)*UV(78)
  JTUV(77) = JVS(94)*UV(21)+JVS(142)*UV(29)+JVS(202)*UV(35)+JVS(233)*UV(39)+JVS(248)*UV(41)+JVS(261)*UV(43)+JVS(269)&
               &*UV(44)+JVS(286)*UV(45)+JVS(297)*UV(46)+JVS(323)*UV(47)+JVS(332)*UV(48)+JVS(340)*UV(49)+JVS(348)*UV(50)&
               &+JVS(357)*UV(51)+JVS(367)*UV(52)+JVS(377)*UV(53)+JVS(388)*UV(54)+JVS(411)*UV(55)+JVS(426)*UV(56)+JVS(451)&
               &*UV(57)+JVS(483)*UV(58)+JVS(497)*UV(59)+JVS(508)*UV(60)+JVS(526)*UV(61)+JVS(543)*UV(62)+JVS(587)*UV(63)&
               &+JVS(600)*UV(64)+JVS(613)*UV(65)+JVS(640)*UV(66)+JVS(667)*UV(67)+JVS(709)*UV(68)+JVS(772)*UV(69)+JVS(824)&
               &*UV(71)+JVS(861)*UV(72)+JVS(877)*UV(73)+JVS(924)*UV(74)+JVS(956)*UV(75)+JVS(1021)*UV(76)+JVS(1060)*UV(77)&
               &+JVS(1110)*UV(78)
  JTUV(78) = JVS(49)*UV(8)+JVS(84)*UV(19)+JVS(95)*UV(21)+JVS(111)*UV(23)+JVS(116)*UV(24)+JVS(121)*UV(25)+JVS(137)*UV(28)&
               &+JVS(160)*UV(31)+JVS(167)*UV(32)+JVS(220)*UV(38)+JVS(239)*UV(40)+JVS(412)*UV(55)+JVS(614)*UV(65)+JVS(710)&
               &*UV(68)+JVS(773)*UV(69)+JVS(825)*UV(71)+JVS(925)*UV(74)+JVS(957)*UV(75)+JVS(1022)*UV(76)+JVS(1061)*UV(77)&
               &+JVS(1111)*UV(78)
END SUBROUTINE JacTR_SP_Vec
END MODULE racm_Jacobian
