      subroutine print(vcp,emiss,wind,photout,akh,iday)
      use parameters
      implicit double precision (a-h,o-z)
      parameter (nspec=77, nrect=237)
      parameter(maxemi=nspec) ! maximal number of emissions
      parameter(maxrect=500)
      parameter (nlev=40,nsoil=15)    ! number of levels
 
      dimension vcp(nlev,nspec), photout(23,nlev),emiss(nlev,nspec),
     &wind(nlev),akh(nlev)
      common/height/z(nlev),zf(nlev),dz(nlev),dzf(nlev)
      common/atmo1/ t(nlev),theta(nlev),p(nlev),rhoair(nlev)
     & ,relh(nlev)
      common /cpy/ hcpy,htr,tlai,levcpy,levhtr,zrough,sizelf
      common/cpy1/etotwt,htot,rplnt,evapg(99),heatg(99),eave(99)
     &,have(99),waterg(99)
      common/cpysrc/ evaps(99),heats(99)
      common/misc2/fr(99),ct(99),totlai,df(99)
     &,clai(99),distls(10),itot,itotp1,jtot
      common /rad2/dstrad(3,10,99),dstnet(10,99),frarea(10,99)
     &,templf(10,99),tsoil
      common/rad4/d(3,99),u(3,99),bmflx(3,99),rnet(99),rndiv(99),
     &tsfc,rnlam(3,99)
      common/leaf1/delt(10,99),psilf,tran(10,99)
      common/resis1/rhleaf(99),rsleaf(10,99),rsnovp(10,99),
     & rst(10,99),hpsi
      common/soil1/zs(nsoil),sl,dels
      common/feld/ eta(nsoil),psi(nsoil),psit(nsoil),
     &temp(nsoil),xk(nsoil),psieta(nsoil),
     &psitet(nsoil),xlam(nsoil),axa(nsoil),bxb(nsoil),
     &cxc(nsoil),dxd(nsoil),d1t(nsoil),
     &d2t(nsoil),d1eta(nsoil),d2eta(nsoil),
     &xl11(nsoil),xl22(nsoil),rho0(nsoil),
     &rho1(nsoil),rho22(nsoil),xl210(nsoil),
     &p21(nsoil),p21t(nsoil),h(nsoil),datm(nsoil)
      common/intf/ qgrnd,qsatg,tausum,tsum,vsum,tsurf,patm,
     &fnet,gdown,gfnet,afl1,aflh,bfl1,bfl2,bflh

      common/etc/fiso,fapi,flim,fmacr,sumsiso,sumsapi,sumslim,fapi2
     &,fiso2,flim2,fmacr2
      common /par/parabv

      data ipass/0/
      print*,"timloc", timloc 
c
      write(6,1002)
     &-(rnlam(1,jtot)+rnlam(2,jtot)),-rnlam(3,jtot),-rnet(jtot),
     &-(rnlam(1,1)+rnlam(2,1)),-rnlam(3,1),-rnet(1)
 1002 format(
     &'   Radiation at the top of canopy (W/m^2):'/,
     &'   Solar:',f7.2,'   Thermal:',f7.2,'   Net:',f7.2,/
     &'   Radiation at the soil surface (W/m^2):'/,
     &'   Solar:',f7.2,'   Thermal:',f7.2,'   Net:',f7.2)
      write(06,'("   PAR above canopy umol/m**2/s",5f8.2)') parabv*4.6
     & , rnlam(1,jtot),rnlam(2,jtot)

c     write(6,'("  i    z(m)      T(C)      r        |v|(m/s)  ",
      write(6,'("  i   z(m)     T(C)   RH/eta   |v|(m/s)",
     &"  NO(ppb)      NO2(ppb)     O3(ppb)      ISO(ppb)   ",
c    &"  API(ppb)     LIM(ppb)     HNO3(ppb)    NO3(ppb)  HO(ppb)")')
     &"  API(ppb)    MACR(ppb)      OH (ppb)    NO3(ppb)  HCHO(ppb)")')
c    &"  API(ppb)      LIM(ppb)      MACR(ppb)        Jno3")')
c    &"  NO3(ppb)       OH(ppb)      HNO3(ppb)        Jno3")')

      sumiso=0.
      do k=nlev,1,-1
      sumiso=sumiso+dzf(k)*vcp(k,liso)*1.e9
      psat=610.7*exp(17.1536*(t(k)-273.15)/(t(k)-
     &38.33))
      q=vcp(k,lh2o)*0.622 ! approximately
      p1=vcp(k,lh2o)*p(k)
      rh=p1/psat 
      write(6,'(i3,3f8.2,f9.4,14e13.4)') 
     & k,z(k),t(k)-273.15,rh,wind(k),
c    & k,z(k),t(k)-273.15,vcp(k,lh2o),wind(k),
     & vcp(k,lno)*1.e9,vcp(k,lno2)*1.e9,
     & vcp(k,lo3)*1.e9,vcp(k,liso)*1.e9,
c    & vcp(k,49)*1.e9,vcp(k,33)*1.e9,vcp(k,31)*1.e9
c    & vcp(k,lapi)*1.e9,vcp(k,lmacr)*1.e9,vcp(k,lh2o2)*1.e9
     & vcp(k,lapi)*1.e9,vcp(k,lmacr)*1.e9,vcp(k,lho)*1.e9
     & ,vcp(k,lno3)*1.e9,vcp(k,lhcho)*1.e9
c    & ,photout(7,k)*60.+photout(8,k)*60.
      enddo
      do k=1,nsoil
      write(6,'(i3,2f9.2,f9.4,9e14.5)') 
     & k,zs(k),temp(k)-273.15,eta(k),h(k)
      enddo

	write(6,'(/,f12.2," sumiso (ppb*m)")') sumiso

c      fluxes at the surface
c
      write(06,5616)afl1,bfl1,bfl2
      write(06,5617)aflh,bflh
 5616 format(1x,'afl1=',e12.6,'   bfl1=',e12.6,'   bfl2=',
     &e12.6,' kg/m**2/sec')
 5617 format(1x,'aflh=',e12.6,'   bflh=',e12.6,'   w/m**2')

c
      write(6,*) "Time", timloc+max(0,(iday-1))*24.
      write(6,'("  i    z(m)    evaps    heats    ",
     &"                                                    ")')
      hsens=aflh
      hlat=bfl2*2520540.
      do k=22,1,-1
      write(6,'(i3,2f9.2,f9.4,4e14.5)') k,zf(k),evaps(k),
     & heats(k),hsens,hlat
      hsens=hsens+heats(k)
      hlat=hlat+evaps(k)
      enddo
c   Sens. + lat. Waermefluss in W/m**2
      if(ipass.eq.0)
     & write(76,'("Fluxes at canopy top")')
      if(ipass.eq.0) write(76,'(
     &"  Time       Heat    LatentH   Rnet      ")')
      write(76,'(4f9.2,f9.4,4e14.5)')
     & timloc+max(0,(iday-1))*24.,hsens,hlat,rnet(jtot)
      if (timloc.eq.11.and.iday.eq.2)then 
       print*, timloc+max(0,(iday-1))*24.,hsens,hlat,rnet(jtot)
      end if 
!     izo=iout     
!     if(ipass.eq.0)
!    & write(78,'("Concentrations (ppb) at height",f5.1,"m")') z(izo)
!     if(ipass.eq.0) write(78,'(
!  & "   Time      HCHO        ALD       PAN         KET     H2O2")')
!  & "   Time      HCHO        ALD       MACR        KET     H2O2")')
!     write(78,'(f7.2,8e12.4)') timloc+max(0,(iday-1))*24.,
!    &    vcp(izo,lhcho)*1.e9,vcp(izo,lald )*1.e9,
!    & vcp(izo,lpan )*1.e9, vcp(izo,lket )*1.e9,vcp(izo,lh2o2)*1.e9
!    & vcp(izo,lmacr)*1.e9, vcp(izo,lket )*1.e9,vcp(izo,lh2o2)*1.e9

      write(6,*) ' '
      write(6,*) ' j  templf
     &                                                      tl_mean'
      do j=jtot,2,-1
      dsum1=0.0
      dsump=0.0
      do i=1,itotp1
c     dsum1=dsum1+delt(i,j)*frarea(i,j)
      dsum1=dsum1+templf(i,j)*frarea(i,j)
      dsump=dsump+dstrad(1,i,j)*frarea(i,j)
      enddo
      if(j.eq.jtot) tquer=dsum1
      if(j.eq.jtot) parquer=dsump
c     write(6,'(i3,10f10.4,3x,f10.4)') j,(delt(i,j),i=1,itotp1),dsum1
      write(6,'(i3,10f10.4,3x,f10.4)') j,(templf(i,j),i=1,itotp1),dsum1
      enddo
 
      write(56,'(/," Time="f6.2," hours    Day ",i2)')
     & timloc,iday !+max(0,(iday-1))*24.
      write(56,*) '  j     z        T_air     T_leaf     SWra 
     $   Par'
      tvm=0.
      tvma=0.
      rvm=0.
      do j=jtot,2,-1
      dsum1=0.0
      dsump=0.0
      do i=1,itotp1
c     dsum1=dsum1+delt(i,j)*frarea(i,j)
      dsum1=dsum1+templf(i,j)*frarea(i,j)
c     dsump=dsump+dstrad(1,i,j)*frarea(i,j)
      enddo
      dsump=bmflx(1,j)+d(1,j)
      tvm=tvm+dsum1*df(j-1)/tlai
      rvm=rvm+dsump*df(j-1)/tlai
      if(j.eq.jtot) tquer=dsum1
      if(j.eq.jtot) parquer=dsump
      ll=levhtr+j-1
      tmean=(t(levhtr+j-1)+t(levhtr+j-2))*.5-273.15
      zmean=(z(levhtr+j-1)+z(levhtr+j-2))*.5
      tvma=tvma+tmean*df(j-1)/tlai
      write(56,'(i4,30f10.4)') j-1,zmean,tmean,
     & dsum1,dsump,(dstrad(1,ixhu,j)*4.6,ixhu=1,10), ! ,df(j-1)
     & (frarea(ixhu,j),ixhu=1,10) ! ,df(j-1)
      enddo
c     tvma=tvma/8.
      write(56,'(" avg          ",10f10.4,3x,2f10.4)') tvma,tvm,rvm


c     if(timloc-ttt.gt.0.3)
c    &write(79,'(14f12.2)') timloc,tquer,parquer               

      write(6,*) ' '
      write(6,*) ' j  rsleaf
     &                                                       r_mean'
      do j=jtot,2,-1
      dsum1=0.0
      do i=1,itotp1
      dsum1=dsum1+rsleaf(i,j)*frarea(i,j)
      enddo
      write(6,'(i3,10f10.2,3x,f10.2)') j,(rsleaf(i,j),i=1,itotp1),dsum1
      enddo


c Temperature, diurnal course at 5 heights
!xhu      ttt=float(ifix(timloc+0.01))
c     if(timloc-ttt.gt.0.3)
c    &write(65,'(14f12.2)') timloc+(iday-1)*24.,
c    & t(3)-273.15,t(12)-273.15,
c    & t(14)-273.15,t(17)-273.15,t(22)-273.15
       iz1=3
       iz2=8
       iz3=11
       iz4=13  !levcpy
       iz5=15  !levcpy+3
      iout=levcpy+1
      if(ipass.le.0) write(65,'(" Temperature")')
      if(ipass.le.0) write(65,'(
     &" Time       z=",f4.2,"m    z=",f5.2,"m    z=",f5.2,"m    z=",
     & f5.2,"m    z=",f5.2,"m")') z(iz1),z(iz2),z(iz3),z(iz4),z(iz5)
      write(65,'(f5.1,5f12.2)') timloc+(iday-1)*24.,
     & t(iz1)-273.15,t(iz2)-273.15,
     & t(iz3)-273.15,t(iz4)-273.15,t(iz5)-273.15

      if(ipass.le.0) write(66,'(" Rel Humidity")')
      if(ipass.eq.0) write(66,'(
     &" Time)      z=",f4.2,"m    z=",f5.2,"m    z=",f5.2,"m    z=",
     & f5.2,"m    z=",f5.2,"m")') z(iz1),z(iz2),z(iz3),z(iz4),z(iz5)
      write(66,'(f5.1,14f12.2)') 
     & timloc+(iday-1)*24.,relh(iz1)*100.,relh(iz2)*100.,
     & relh(iz3)*100.,relh(iz4)*100.,relh(iz5)*100.

      if(ipass.le.0) write(644,'(" CH4      ")')
      if(ipass.le.0) write(644,'(
     &" Time       z=",f4.2,"m    z=",f5.2,"m    z=",f5.2,"m    z=",
     & f5.2,"m    z=",f5.2,"m")') z(iz1+1),
     & z(iz2),z(iz3),z(iz4),z(iz5)
      write(644,'(f5.1,14f12.2)')
     & timloc+(iday-1)*24.,vcp(iz1+1,lch4)*1.e9,
c    & timloc+(iday-1)*24.,(.75*vcp(iz1+1,lch4)+.25*vcp(iz1+2,lch4))*1.e9,
     & vcp(iz2,lch4)*1.e9,
     & vcp(iz3,lch4)*1.e9,vcp(iz4,lch4)*1.e9,vcp(iz5,lch4)*1.e9

      if(ipass.le.0) write(64,'(" Ozone      ")')
      if(ipass.le.0) write(64,'(
     &" Time       z=",f4.2,"m    z=",f5.2,"m    z=",f5.2,"m    z=",
     & f5.2,"m    z=",f5.2,"m")') z(iz1+1),
     & z(iz2),z(iz3),z(iz4),z(iz5)
      write(64,'(f5.1,14f12.2)')
     & timloc+(iday-1)*24.,vcp(iz1+1,lo3)*1.e9,
c    & timloc+(iday-1)*24.,(.75*vcp(iz1+1,lo3)+.25*vcp(iz1+2,lo3))*1.e9,
     & vcp(iz2,lo3)*1.e9,
     & vcp(iz3,lo3)*1.e9,vcp(iz4,lo3)*1.e9,vcp(iz5,lo3)*1.e9
      if(ipass.eq.0) write(641,'(
     &" Ozone(t)  z=",40f12.2
     & )') (z(ilevel),ilevel=1,40)
      if(ipass.eq.0) write(641,'(
     &"         0.0",41f12.2
     & )') (z(ilevel),ilevel=1,40)
      write(641,'(f5.1,40e12.4)')
     & timloc+(iday-1)*24.,(vcp(ilevel,lo3)*1.e9,ilevel=1,40)

      if(ipass.eq.0) write(721,'(
     &" iso(t)  z=",40f12.2
     & )') (z(ilevel),ilevel=1,40)
      if(ipass.eq.0) write(721,'(
     &"         0.0",41f12.2
     & )') (z(ilevel),ilevel=1,40)
      write(721,'(f5.1,40e12.4)')
     & timloc+(iday-1)*24.,(vcp(ilevel,liso)*1.e9,ilevel=1,40)

      if(ipass.eq.0) write(921,'(
     &" macr(t)  z=",40f12.2
     & )') (z(ilevel),ilevel=1,40)
      if(ipass.eq.0) write(921,'(
     &"         0.0",41f12.2
     & )') (z(ilevel),ilevel=1,40)
      write(921,'(f5.1,40e12.4)')
     & timloc+(iday-1)*24.,(vcp(ilevel,lmacr)*1.e9,ilevel=1,40)


      if(ipass.eq.0) write(821,'(
     &" Hcho(t)  z=",40f12.2
     & )') (z(ilevel),ilevel=1,40)
      if(ipass.eq.0) write(821,'(
     &"         0.0",41f12.2
     & )') (z(ilevel),ilevel=1,40)
      write(821,'(f5.1,40e12.4)')
     & timloc+(iday-1)*24.,(vcp(ilevel,lhcho)*1.e9,ilevel=1,40)

c     goto 1222
      if(ipass.eq.0) write(61,'(
     &" OH(t)   z=",f5.2,"m    z=",f5.2,"m    z=",f5.2,"m    z=",
     & f5.2,"m    z=",f5.2,"m")') z(iz1),z(iz2),z(iz3),z(iz4),z(iz5)
      write(61,'(f5.1,14e12.4)')
     & timloc+(iday-1)*24.,vcp(iz1,lho)*1.e9,vcp(iz2,lho)*1.e9,
     & vcp(iz3,lho)*1.e9,vcp(iz4,lho)*1.e9,vcp(iz5,lho)*1.e9

      if(ipass.eq.0) write(611,'(
     &" OH(t)  z=",40f12.2
     & )') (z(ilevel),ilevel=1,40)
      if(ipass.eq.0) write(611,'(
     &"         0.0",41f12.2
     & )') (z(ilevel),ilevel=1,40)
      write(611,'(f5.1,40e12.4)')
     & timloc+(iday-1)*24.,(vcp(ilevel,lho)*1.e9,ilevel=1,40)

      if(ipass.eq.0) write(6441,'(
     &" CH4(t)  z=",40f12.2
     & )') (z(ilevel),ilevel=1,40)
      if(ipass.eq.0) write(6441,'(
     &"         0.0",41f12.2
     & )') (z(ilevel),ilevel=1,40)
      write(6441,'(f5.1,40e12.4)')
     & timloc+(iday-1)*24.,(vcp(ilevel,lch4)*1.e9,ilevel=1,40)

      if(ipass.eq.0) write(62,'(
     &" NO3(t)  z=",f5.2,"m    z=",f5.2,"m    z=",f5.2,"m    z=",
     & f5.2,"m    z=",f5.2,"m")') z(iz1),z(iz2),z(iz3),z(iz4),z(iz5)
      write(62,'(f5.1,14e12.4)')
     & timloc+(iday-1)*24.,vcp(iz1,lno3)*1.e9,vcp(iz2,lno3)*1.e9,
     & vcp(iz3,lno3)*1.e9,vcp(iz4,lno3)*1.e9,vcp(iz5,lno3)*1.e9

      if(ipass.eq.0)
     & write(79,'("Fluxes in nmol/m**2/s at height",f5.1,"m")') 
     & 0.5*(z(levcpy+2)+z(levcpy+3))
      if(ipass.eq.0) write(79,'(
     & "   Time       fO3      fHCHO       fALD       fKET   ",
     & "    fH2O2")')
 1222 continue

c Flusse in ug/m**2/s
c     xxu=1.e9*40./1000.
c     write(71,'(f7.2,10e12.4)') timloc+max(0,(iday-1))*24.,
c    &                                 sumsiso*xxu*68.,fiso,              
c    &                                 sumsapi*xxu*136.,fapi,
c    &                                 sumslim*xxu*136.,flim,
c    &                                 fmacr
c    &  ,sumslim*xxu*136.+sumsapi*xxu*136.,flim+fapi
c
c  Flsse und Konzentration isopren     nmol/m**2 bzw. nmol/m**3
cc     if(timloc-ttt.gt.0.3) then
c     xxu=1.e9*40.
c     write(68,'(f7.2,8e12.4)') timloc+max(0,(iday-1))*24.,
c    & sumsiso*xxu,fiso*1000./68. ,
c    & fiso2*1000./68. 
cc     endif

c  Flsse und Konzentration Monoterpene nmol/m**2 bzw. nmol/m**3
cc     if(timloc-ttt.gt.0.3) then
      if(ipass.eq.0)
     & write(59,'("ISO Fluxes in nmol/m**2/s: Potential, at height",f5.1,"m",
     & " and at height",f5.1,"m")') z(levcpy),
     & z(levcpy+3)
      if(ipass.eq.0) write(59,'(
     &"   Time      fISOp       fISO      fISO2            ")')
      xxu=1.e9*40.
      write(59,'(f7.2,12e12.4)') timloc+max(0,(iday-1))*24.,
     & sumsiso*xxu,fiso*1000./68. ,fiso2*1000./68.


      if(ipass.eq.0)
     & write(69,'("Fluxes in nmol/m**2/s: Potential, at height",f5.1,"m",
     & " and at height",f5.1,"m")') z(levcpy),
     & z(levcpy+3)
      if(ipass.eq.0) write(69,'(
     &"   Time      fAPIp        fAPI       fAPI2     fLIMp",
c    &"   Time      fAPIp        fAPI      fAPIp/akh  fLIMp",
     &"      fLIM        fLIM2        fISOp       fISO      fISO2",
     &"      fMACR        fMACR2")')
      xxu=1.e9*40.
      write(69,'(f7.2,12e12.4)') timloc+max(0,(iday-1))*24., 
     & sumsapi*xxu,fapi*1000./136.,
     & fapi2*1000./136.,sumslim*xxu,flim*1000./136.,
     & flim2*1000./136.,sumsiso*xxu,fiso*1000./68. ,fiso2*1000./68.,
     & fmacr*1000./70. ,fmacr2*1000./70.
c    & sumsapi*xxu/akh(levcpy)  ,sumslim*xxu,flim*1000./136.,
cc     endif

c     level=iz5
      level=levcpy+2
      fo3 =-akh(level )*
     &       (vcp(level +1,lo3 )*1.e9-vcp(level ,lo3 )*1.e9)/
     &               (z(level +1)-z(level ))*40.
      fhcho=-akh(level )*
     &       (vcp(level +1,lhcho)*1.e9-vcp(level ,lhcho)*1.e9)/
     &               (z(level +1)-z(level ))*40.

      fald =-akh(level )*
     &       (vcp(level +1,lald )*1.e9-vcp(level ,lald )*1.e9)/
     &               (z(level +1)-z(level ))*40.

      fket =-akh(level )*
     &       (vcp(level +1,lket )*1.e9-vcp(level ,lket )*1.e9)/
     &               (z(level +1)-z(level ))*40.

      fh2o2=-akh(level )*
     &       (vcp(level +1,lh2o2)*1.e9-vcp(level ,lh2o2)*1.e9)/
     &               (z(level +1)-z(level ))*40.


      write(79,'(f7.2,8e12.4)') timloc+max(0,(iday-1))*24.,
     & fo3,fhcho,fald,fket,fh2o2



c     goto 1234
      if(ipass.eq.0) 
     & write(63,'("Concentrations (ppb) at height",f5.1,"m",
     & " and",f5.1,"m")') z(iout),z(iz1)
      if(ipass.eq.0) write(63,'(
     &" Time         O3          NO         NOx         NO2 ",   
     &"         O3          NO         NOx         NO2")') 
      write(63,'(f7.2,14e12.4)') timloc+max(0,(iday-1))*24.,
     & vcp(iout,lo3)*1.e9,vcp(iout,lno)*1.e9,
     & vcp(iout,lno)*1.e9+vcp(iout,lno2)*1.e9,vcp(iout,lno2)*1.e9,
     & vcp(iz1,lo3)*1.e9,vcp(iz1 ,lno)*1.e9,
     & vcp(iz1 ,lno)*1.e9+vcp(iz1 ,lno2)*1.e9,vcp(iz1 ,lno2)*1.e9
      if(vcp(iz1 ,lno)*1.e9.gt.1) then 
      print*,"no outler timloc",timloc,"iday",iday," ",vcp(iz1,lno)*1.e9
      end if 
      if(ipass.eq.0) write(631,'(
     &" NO2(t)  z=",40f12.2
     & )') (z(ilevel),ilevel=1,40)
      if(ipass.eq.0) write(631,'(
     &"         0.0",41f12.2
     & )') (z(ilevel),ilevel=1,40)
      write(631,'(f5.1,40e12.4)')
     & timloc+(iday-1)*24.,(vcp(ilevel,lno2)*1.e9,ilevel=1,40)

      if(ipass.eq.0) write(671,'(
     &" ALD(t)  z=",40f12.2
     & )') (z(ilevel),ilevel=1,40)
      if(ipass.eq.0) write(671,'(
     &"         0.0",41f12.2
     & )') (z(ilevel),ilevel=1,40)
      write(671,'(f5.1,40e12.4)')
     & timloc+(iday-1)*24.,(vcp(ilevel,lald)*1.e9,ilevel=1,40)

      if(ipass.eq.0) write(681,'(
     &" TOL(t)  z=",40f12.2
     & )') (z(ilevel),ilevel=1,40)
      if(ipass.eq.0) write(681,'(
     &"         0.0",41f12.2
     & )') (z(ilevel),ilevel=1,40)
      write(681,'(f5.1,40e12.4)')
     & timloc+(iday-1)*24.,(vcp(ilevel,ltol)*1.e9,ilevel=1,40)

      if(ipass.eq.0) write(691,'(
     &" CO(t)  z=",40f12.2
     & )') (z(ilevel),ilevel=1,40)
      if(ipass.eq.0) write(691,'(
     &"         0.0",41f12.2
     & )') (z(ilevel),ilevel=1,40)
      write(691,'(f5.1,40e12.4)')
     & timloc+(iday-1)*24.,(vcp(ilevel,lco)*1.e9,ilevel=1,40)

      if(ipass.eq.0) write(701,'(
     &" CO2(t)  z=",40f12.2
     & )') (z(ilevel),ilevel=1,40)
      if(ipass.eq.0) write(701,'(
     &"         0.0",41f12.2
     & )') (z(ilevel),ilevel=1,40)
      write(701,'(f5.1,40e12.4)')
     & timloc+(iday-1)*24.,(vcp(ilevel,lco2)*1.e9,ilevel=1,40)

      if(ipass.eq.0) write(711,'(
     &" HNO3(t)  z=",40f12.2
     & )') (z(ilevel),ilevel=1,40)
      if(ipass.eq.0) write(711,'(
     &"         0.0",41f12.2
     & )') (z(ilevel),ilevel=1,40)
      write(711,'(f5.1,40e12.4)')
     & timloc+(iday-1)*24.,(vcp(ilevel,lhno3)*1.e9,ilevel=1,40)

      if(ipass.eq.0) write(661,'(
     &" PAN(t)  z=",40f12.2
     & )') (z(ilevel),ilevel=1,40)
      if(ipass.eq.0) write(661,'(
     &"         0.0",41f12.2
     & )') (z(ilevel),ilevel=1,40)
      write(661,'(f5.1,40e12.4)')
     & timloc+(iday-1)*24.,(vcp(ilevel,lpan)*1.e9,ilevel=1,40)

c  Fraction of limonene decay due to O3, NO3, HO
      write(67,'(/," Time="f6.2," hours    Limonene ")') 
     & timloc+max(0,(iday-1))*24. 
      write(67,'("    z(k)        fno3          fo3          fho ")')
      write(77,'(/," Time="f6.2," hours   a-Pinene")') 
     & timloc+max(0,(iday-1))*24. 
      write(77,'("    z(k)        fno3          fo3          fho ")')
      xkno3=1.22e-11
      xko3=2.e-16
      xkho=1.7e-10

      xkno3a=6.16e-12
      xko3a=8.66e-17
      xkhoa=5.4e-11

      do k=1,nlev
      tloss=xko3*vcp(k,lo3)+xkno3*vcp(k,lno3)+xkho*vcp(k,lho)
      fno3=xkno3*vcp(k,lno3)/tloss
      fo3=xko3*vcp(k,lo3)/tloss
      fho=xkho*vcp(k,lho)/tloss
      tlossa=xko3a*vcp(k,lo3)+xkno3a*vcp(k,lno3)+xkhoa*vcp(k,lho)
      fno3a=xkno3a*vcp(k,lno3)/tlossa
      fo3a=xko3a*vcp(k,lo3)/tlossa
      fhoa=xkhoa*vcp(k,lho)/tlossa
      write(67,'(f9.2,4e14.5)') z(k),fno3,fo3,fho,tloss
      write(77,'(f9.2,4e14.5)') z(k),fno3a,fo3a,fhoa,tlossa 

      if(k.eq.1) then
      if(ipass.eq.0)
     & write(68,'("Concentrations at height",f5.1,"m")') z(levcpy+1)
      if(ipass.eq.0) write(68,'(
     &"  Time        NOx             O3         HO           NO3",
     &"          ALD          KET           ISO           HCHO  ")')
      endif
      if(k.eq.levcpy+1) 
     & write(68,'(f7.2,14e14.5)') timloc+max(0,(iday-1))*24.,
c    & fno3,fo3,fho,tloss,
     & (vcp(k,lno2)+vcp(k,lno))*1e9,vcp(k,lo3)*1e9,
     & vcp(k,lho)*1e9,vcp(k,lno3)*1e9,vcp(k,lald)*1e9,
     & vcp(k,lket)*1e9,vcp(k,liso)*1e9,vcp(k,lhcho)*1e9

      enddo

c     if(timloc-ttt.lt.0.3) then
c Flusse in ug/m**2/s
      if(ipass.eq.0)
     & write(71,'("Fluxes in  ug/m**2/s: Potential, at height",f5.1,"m",
     & " and at height",f5.1,"m")') z(levcpy),z(levcpy+2)
      if(ipass.eq.0) write(71,'(
     &"  Time        fAPIp        fAPI       fAPI2      fLIMp",
     &"      fLIM        fLIM2       fISOp       fISO      fISO2",
     &"      fMACR        fMACR2")')

      xxu=1.e9*40./1000.
      write(71,'(f7.2,11e12.4)') timloc+max(0,(iday-1))*24.,
     &                           sumsapi*xxu*136.,fapi,fapi2,
     &                           sumslim*xxu*136.,flim,flim2,
     &                           sumsiso*xxu*68.,fiso,fiso2,              
     &                           fmacr,fmacr2
c    &  ,sumslim*xxu*136.+sumsapi*xxu*136.,flim+fapi
c Konzentrationen in ppb
      if(ipass.eq.0) write(72,'(
     &"  API(t)   z=",f4.1,"m   z=",f5.1,"m   z=",f5.1,"m",
     &"     LIM(t)  z=",f4.1,"m   z=",f5.1,"m   z=",f5.1,"m",
     &"     ISO(t)  z=",f4.1,"m   z=",f5.1,"m   z=",f5.1,"m",
     &"     MACR(t) z=",f4.1,"m   z=",f5.1,"m   z=",f5.1,"m")') 
     & z(iz1),z(iz3),z(iz5), z(iz1),z(iz3),z(iz5), z(iz1),z(iz3),z(iz5),
     & z(iz1),z(iz3),z(iz5)
      write(72,'(f7.2,3e12.4,f7.2,3e12.4,f7.2,3e12.4,f7.2,3e12.4)') 
     &                    timloc+max(0,(iday-1))*24.
     &                ,vcp(iz1,lapi)*1.e9,vcp(iz2,lapi)*1.e9
     &                ,vcp(iz3,lapi)*1.e9, timloc+max(0,(iday-1))*24.
     &                ,vcp(iz1,llim)*1.e9,vcp(iz2,llim)*1.e9
     &                ,vcp(iz3,llim)*1.e9, timloc+max(0,(iday-1))*24.
     &                ,vcp(iz1,liso)*1.e9,vcp(iz2,liso)*1.e9
     &                ,vcp(iz3,liso)*1.e9, timloc+max(0,(iday-1))*24.
     &                ,vcp(iz1,lmacr)*1.e9,vcp(iz2,lmacr)*1.e9
     &                ,vcp(iz3,lmacr)*1.e9
c     endif

 1234 continue

      if(ipass.le.0) write(73,'(" Stratification (deg/m)")')
       zm1=0.5*(z(iz1)+z(iz1-1))
       zm2=0.5*(z(iz2)+z(iz2-1))
       zm3=0.5*(z(iz3)+z(iz3-1))
       zm4=0.5*(z(iz4)+z(iz4-1))
       zm5=0.5*(z(iz5)+z(iz5-1))
       dz1=(z(iz1)-z(iz1-1))
       dz2=(z(iz2)-z(iz2-1))
       dz3=(z(iz3)-z(iz3-1))
       dz4=(z(iz4)-z(iz4-1))
       dz5=(z(iz5)-z(iz5-1))
      if(ipass.le.0) write(73,'(
     &" Time       z=",f4.2,"m    z=",f4.2,"m    z=",f5.2,"m    z=",
     & f5.2,"m    z=",f5.2,"m")') zm1,zm2,zm3,zm4,zm5
      write(73,'(f5.1,5f12.3)') timloc+(iday-1)*24.,
     & (theta(iz1)-theta(iz1-1))/dz1,(theta(iz2)-theta(iz2-1))/dz2,
     & (theta(iz3)-theta(iz3-1))/dz3,(theta(iz4)-theta(iz4-1))/dz4,
     & (theta(iz5)-theta(iz5-1))/dz5


      if(ipass.eq.0)
     & write(74,'("Concentrations at height",f5.1,"m")') z(iout)
      if(ipass.eq.0) write(74,'(
     &"  Time         API         LIM        ISO        MACR")')
      write(74,'(f7.2,8e12.4)') timloc+max(0,(iday-1))*24.,
     & vcp(iout,lapi)*1.e9,vcp(iout,llim)*1.e9,
     &        vcp(iout,liso)*1.e9,vcp(iout,lmacr)*1.e9

      izo=iout
      if(ipass.eq.0)
     & write(78,'("Concentrations (ppb) at height",f5.1,"m")') z(izo)
      if(ipass.eq.0) write(78,'(
     & "   Time      HCHO        ALD       MACR        KET      H2O2")')
c    & "   Time      HCHO        ALD       OLI         KET      HC3 ")')
      write(78,'(f7.2,8e12.4)') timloc+max(0,(iday-1))*24.,
     &    vcp(izo,lhcho)*1.e9,vcp(izo,lald )*1.e9,
     & vcp(izo,lmacr)*1.e9, vcp(izo,lket )*1.e9,vcp(izo,lh2o2)*1.e9
c    & vcp(izo,loli )*1.e9, vcp(izo,lket )*1.e9,vcp(izo,lhc3 )*1.e9

      ipass=1
      return
      end
