#!/bin/bash
#
#SBATCH --job-name="2_00"
#SBATCH --output="/expanse/lustre/scratch/xhu2/temp_project/Run/CO2_and_otherGHG/WRFV4.2.2/China/wrfchem4.2.2_R2_ChinanestGuangDong_Hu2021JGR_CAMSCO2only.2022010100/figures/log/wrfout_d02_2022-01-01_00.ncl.eo" 
#SBATCH --partition=debug
#SBATCH --nodes=1  
#SBATCH -A TG-ATM160014 
##SBATCH -A TG-MCA95C006 
#SBATCH --ntasks-per-node=1  
#SBATCH --cpus-per-task=1
#SBATCH --export=ALL  
#SBATCH -t 0:30:00  
#SBATCH --mem=208G 

module reset
module load cpu/0.15.4
module load gcc/10.2.0
module load openmpi/4.0.4
module load openmpi
module load ncl/6.6.2-openblas


    mpirun -np 1 ncl  plot_TS_Box.ncl >& plot_TS_Box.ncl.log 
